Security Administrator Overview

The EPM Security Administrator allows you to define the security rights for Open Plan, WelcomHome, and Cobra. The applications offer different options but they all follow the same premise.

Terminology

The Security Administrator documentation uses the following terms:

  • Users — Users are individuals who are given rights to log in to the applications system.

  • Roles — Roles define the operations a user can perform such as update baselines, set budget equal to actual costs, and update data. You assign each user to a default role, such as scheduler, analyst, or project manager. You can override the default role if the user has a different role on another project.

  • Groups — Groups usually represent major programs or projects within an organization, or functional groups such as the project management office. You assign users to groups, which you then assign to data objects (such as projects) within the applications. Users can have different roles within a group.

  • Access Control List — Each securable item within the product allows you to assign the list of groups who have access to the object. You can also override options to assign a user and a role, or a group and a role, to the object.

Example

You have eight users of an application. Each user fits into one of the following roles:

  • Scheduler — Super user with limited access to baseline and cost information.

  • Analyst — Super user with access to all areas of the application.

  • Project Manager — User with read access to all data, but few rights to modify data.

Let us also assume that there are currently two major programs occurring within the company. You create two groups, one for each of the programs. You also assign users to the appropriate groups, based on the program they are working on. To prevent users working on program A from being able to see data associated with program B, use the access control list within the product to specify which groups have rights to the file. All files (projects, rate files, code files, and so on) have access rights within the applications.

If a user has a different role on a project, you can assign the user ID and a role to the access control list.

Help

While a Help button is included only on dialog boxes in the Security Administrator, the entire Help system is context sensitive. If you need quick information about the area of the Security Administrator that you are using, press F1.

Security Administrator Tasks

With Security Administrator, you can do the following tasks:

  • Connect to data sources

  • Define users

  • Import users

  • Define groups

  • Define roles and permissions

  • Data Objects Overview

  • Manage products

  • Assign a user to a product

  • Enable user logins

  • Disable user logins


Log in to the Security Administrator

To log in to the Security Administrator:

  1. From the Deltek Applications group, click EPM Security Administrator.

  2. On the Security Administrator Login dialog box, enter your User ID and Password.

The default User ID is SYSADMIN; the default Password is PASSWORD. For security reasons, you should change this password as soon as possible.

  3. Click OK.


Security Administrator Login Dialog Box

Your Login and Password Information

Enter the following information on the Security Administrator Login dialog box to log in to Security Administrator:

  • User ID — Your default user ID is SYSADMIN. The first time you use the Security Administrator, you must log in using SYSADMIN as your user ID.

  • Password — Your default password is PASSWORD. The first time you use the Security Administrator, you must use this password. However, you should change this password as soon as possible to prevent unauthorized access to the Security Administrator.

When you click OK, the Security Administrator searches the security tables on the active data source for the for the User ID and Password you entered. When a match is found, Security Administrator launches.

Default Settings

By default, your account has the following characteristics:

  • Member of the SYSADMIN group, who can manage security for all supported products and also have full rights to all project data.

  • Have the role of SYSADMIN.

The first time that you log into the Security Administrator, the only defined user is SYSADMIN. After you define other users and add them to the SYSADMIN group, any member of this group can log in with his or her own user ID.

You can add as many users as you want to the SYSADMIN group and thereby give them all the rights that you have. Any user that you add to the SYSADMIN group is automatically given access to the Security Administrator.

You Cannot Delete SYSADMIN

You cannot delete the SYSADMIN user, group, or role. You must always have at least one user defined who has rights to the Security Administrator.

To Log In To a Different Data Source

If you want to log in to a different data source, hold down the CTRL key while clicking OK.

Location


Security Administrator Interface Overview

The Security Administrator Interface Overview

The Security Administrator interface features two interrelated panes:

  • The Explorer pane on the left displays information in a hierarchical format. The top node of this hierarchy indicates the name of the data source to which the Security Administrator is connected. Selecting this item displays the Options General form on the right pane of the interface.

Either of the following symbols displays at the left edge of each entry in the hierarchy, which indicates whether or not you can expand the item:

    • Indicates that the item is a parent that you can expand, to see more detail. With the exception of the topmost item, selecting an item that is preceded by this symbol displays the relevant Properties form in the pane on the right side of the interface. Selecting the topmost item displays the Options General form in the Properties pane. Click the [image] symbol to expand the item.

    • Indicates that the item is fully expanded. Selecting an item at this level displays the relevant Details form. Clicking the [image] symbol collapses the item.

  • The Properties pane on the right displays detailed information about the currently selected item in the Explorer pane. For example, if you select the Users folder in the Explorer pane, the Properties pane displays the Properties: Users form.

When you start the Security Administrator, the Properties pane displays the Options General form.

More Information

For more information, see the following topics:

Security Administrator Menu Bar

Set a Minimum Length for a New Login Password

Print a User List

Find Command

Find a User, Group, or Role in the Explorer Pane

Find an Entry in a Properties Form

Options General Form


Security Administrator Menu Bar

The Security Administrator interface features a menu bar containing the following menus:

  • System — This menu contains the following commands:

    • Print User List

    • Import Users

    • Password Rules

    • Exit

  • Edit — This menu may contain the following commands, depending on the node that you select on the left frame:

    • Add

    • Delete

    • Copy

    • Find

  • Tools — This menu contains the following commands:

    • Change Data Source

    • Update License

  • Help — This menu contains the following items:

    • Contents

    • About


Set a Minimum Length for a New Login Password

Use the Password Rules dialog box to set a minimum length for a new login password.

To set a minimum length for a new login password:

  1. On the Security Administrator menu bar, click System » Password Rules. The Password Rules dialog box displays.

  2. In the Minimum Password Length field, enter a numeric value not less than zero.

Setting the password length to zero (0) allows a blank password. Setting the password length to a value greater than 128 displays an error message.

  3. Click OK.

You can also click Cancel or Help, depending on the action that you need to take.


Find Command

The Security Administrator features a Find command that you can use to locate an entry on the Explorer pane and in any of the Properties forms. You can issue this command in any of the following ways:

  • Select an entry on the Explorer pane, and click Edit » Find.

  • Right-click any entry on the Explorer pane, and click Find on the context menu.

  • Select a column in the Properties form of a product, and click Edit » Find.

  • Select a column in the Properties form of a product, and click the Find button at the bottom of the form.

The search performed by the Find command depends on what is selected when you issue the command:

  • When you issue the command while an item is selected in the Explorer pane, the Security Administrator searches the Explorer hierarchy to locate a specific User ID, Group ID, or Role ID. When the item is located, it is selected in the Explorer pane, and detailed information displays in the Properties pane.

  • When you issue the command from a Properties form, the Security Administrator searches the selected column in the form.

You can locate an entry by entering the entire search string in the Find dialog box. The Find command is not case-sensitive. For example, JDOE, jdoe, Jdoe, or Jdoe all locate the user ID JDOE.

You can also enter a few of the characters in the search string and use the asterisk (*) as a wildcard to complete the entry. If you use a wildcard, you must enter the asterisk as either the first or the last character in the search string.

For example, to locate DEVELOPMENT, you can enter any of the following:

  • DEVELOPMENT

  • Dev*

  • *pment


Find a User, Group, or Role in the Explorer Pane

To find a user, group, or role in the Explorer pane:

  1. Display the Find dialog box by taking any of the following actions:

    • On the Security Administrator menu bar, click Edit » Find.

    • On the Explorer pane, right-click a folder or an individual ID, and click Find on the shortcut menu.

  2. Enter the ID of the user, group, or role that you want to locate.

  3. Click OK.


Find an Entry in a Properties form

To find an entry in the Properties form:

  1. Select any folder to display the Properties form.

  2. Display the Find dialog box by taking one of the following actions:

    • On the Security Administrator menu bar, click Edit » Find.

    • At the bottom of the Properties form, click Find.

  3. Enter the information that you want to locate.


Options General Form

The Options General form displays automatically when you log in to the Security Administrator. You can also display this form by selecting the DSN node in the Explorer pane. The DSN node of the Security Administrator hierarchical structure identifies the currently active data source.

This form features an Installed Products field that lists all of the currently installed Deltek applications that are recorded in the current database. This list is updated each time that you install a new Deltek application.

While your organization may have any number of data sources, the Security Administrator can access only one at a time.

For each product on this list, the Security Administrator displays a tab on the Properties: Groups form and the Role Details form.


Connect to Data Sources Overview

A data source is a named connection to a database. You can think of a data source as a "nickname" for a database, along with information about the database location and database type.

Security Administrator works with the following types of databases:

  • Microsoft Access

  • Oracle

More Information

For more information, see the following topics:

Connect to a New Data Source

Edit a Data Source Connection

Delete a Data Source Connection

Data Sources Dialog Box

Edit Data Sources Dialog Box


Connect to a New Data Source

To connect to a new data source:

  1. Click Tools » Change data source. The Data Sources dialog box displays.

  2. Click Add. The Windows Data Link Properties dialog box displays.

The Security Administrator uses the said dialog box to establish a connection to the database provider.

  3. On the Provider tab of the Windows Data Link Properties dialog box, select a provider.

  4. On the Connection tab, enter the appropriate information in the fields.

Click Help for more information about what you should select or enter in each field.

Select the Allow saving password option to encrypt both the user ID and password and pass this information to the Security Administrator.

  5. Click OK. The Edit Data Source dialog box displays.

  6. Enter a new Security Administrator data source name.

The Database Name field on this dialog box is optional and typically used only with Oracle. However, this field is required if the Oracle Account used has access to more than one schema in the Oracle database. If you do not enter a schema name, the Datasources.dat file must identify an Initial Catalog for the data source.

  7. Select the Database is Unicode option if you run Oracle scripts with Unicode support.

  8. Click OK.

  9. On the Data Sources dialog box, select the new data source, and click OK.


Edit a Data Source Connection

To edit an existing data source connection:

  1. Click Tools » Change data source. The Data Sources dialog box displays.

  2. Select the data source you want to edit, and click Edit. The Edit Data Source dialog box displays.

  3. Click Data Link Properties. The Windows Data Link Properties dialog box displays.

  4. On the Connection tab, enter the appropriate information in the fields.

Click Help for more information about what you should select or enter in each field.

  5. Click OK to save the information and to close the Data Link Properties dialog box.

  6. Click OK. The Data Sources dialog box displays.

  7. Select the new data source, and click OK.


Delete a Data Source Connection

To delete a data source connection:

  1. Click Tools » Change data source. The Data Sources dialog box displays.

  2. Select a data source that you want to delete.

  3. Click Delete. Another dialog box displays, prompting you to confirm the deletion.

  4. Click OK.


Data Sources Dialog Box

The Data Sources dialog box displays a list of Deltek OLEDB data sources to which you can connect. These data sources are often referred to by their Data Source Names (DSNs).

The following buttons across the bottom of the dialog box allow you to add, edit, or delete data sources:

  • Add — Click this button to display the Windows Data Link Properties dialog box, which you can use to configure a data source and add it to the list displayed on the Data Sources dialog box.

  • Edit — Select a data source from the list and click this button to display the Edit Data Source dialog box, which you can use to modify settings for the selected data source. A button on this dialog box also provides access to the Windows Data Link Properties dialog box. You can change any of the properties. However, if you are currently connected to the data source you are modifying, your changes do not take effect until the next time you start the Security Administrator.

The Connection tab on the Data Link Properties dialog box has an option called Allow saving password. Selecting this option encrypts both the user ID and password and passes this information to the Security Administrator. If this option is not selected, you are prompted to log in to a data source when you start the Security Administrator.

  • Delete — Click this button to delete the currently selected data source.

Location


Edit Data Source Dialog Box

This dialog box features the following controls, which allow you to modify the connection to a data source that you selected on the Data Sources dialog box:

  • Name — The name of the currently selected data source displays in this field. Data sources are frequently referred to by their Data Source Names (DSNs).

  • Database Name (Schema) — This field is optional and is typically used only with Oracle. However, this field is required if the Oracle Account used has access to more than one schema in the Oracle database.

If you do not enter a schema name, the Datasources.dat file must identify an Initial Catalog for the data source.

  • Database is Unicode — Select this option only if the database is in Unicode. Under most circumstances, this option is used only for Microsoft Access databases and double-byte languages such as Chinese, Russian, and Hebrew.

  • Data Link Properties — Click this button to display the Windows Data Link Properties dialog box, which you can use to specify how to link to the server where the database is stored.

Location


Manage Products Overview

The Security Administrator allows you to manage Deltek product licences.

For Open Plan and WelcomeHome, you can do the following tasks:

  • Upgrade the software license

  • Assign a user to a product

  • Enable user logins

  • Disable user logins

  • Create a login message

  • Send a message to a user

  • Terminate a user's application session

For the Project Suite, you can do the following tasks:

  • Assign a product license to a user

  • Remove a user from a license


License Types

Deltek products can have one of the following types of licenses:

  • Concurrent — A concurrent license is a number of licenses purchased for user by any individual at the license. As long as the maximum number of users is not exceeded, any users can access the application at the same time.

  • Named — A named license is a license purchased for each individual's exclusive use.


Product Details Form for OpenPlan and WelcomHome

To display the Product Details form, select the appropriate product from the list in the Explorer pane.

For Open Plan and WelcomHome, the form displays the following sections:

  • License

  • Logins

  • Users

More Information

See the following topics:

  • Properties: Products Form

  • Upgrade a Software License

  • Update License Dialog Box

  • View License Exceptions Dialog Box

  • Records to Clear Dialog Box

  • Assign Product Users Dialog Box

  • Enable User Logins

  • Disable User Logins

  • Create a Login Message

  • Login Message Dialog Box

  • Send a Message to a User

  • Send Message Dialog Box

  • Terminate a User's Application Session

Location


Properties: Products Form

The Products folder on the Explorer pane contains a list of products currently stored in the security tables. When you select this folder, the Properties: Products form displays the following product information for all currently defined users:

  • Description

  • Version Major

  • Version Minor

The following buttons are located at the bottom of the Properties: Products form:

  • Find

  • Refresh

Location


Product Details Form

Use this form to control access to each installed product, and to send messages to logged-in users. The options displayed on this form vary according to the selected product.

For Open Plan and WelcomHome, the form displays the following sections:

  • License

  • Logins

  • Users

The Product Details form that displays does not contain the License section. Each individual product has a separate License section that displays on the Module Details form.

Location


Upgrade a Software License

When an upgraded license is purchased, a user receives a new license key. The new license key specifies the number of users who can log in to the Deltek product at one time.

To let the Security Administrator know that the number of valid users to the product has been modified, click Manage Licenses on the Product Details form to display the Update License dialog box.

To upgrade a Deltek license:

  1. Purchase an upgrade license.

  2. When you receive the license key, update the software license in the Security Administrator.

For more information about updating the license key in Security Administrator, proceed to the next set of instructions.

To update the software license in Security Administrator:

  1. Click Tools » Update License. The Update License dialog box displays.

  2. In the Product drop-down list , select an appropriate product.

  3. Enter the new license key.

  4. Click Test.

  5. Verify that the correct New User Count is displayed.

  6. Click Update.

  7. Click Close.


Assign a User to a Product

Security Administrator provides two methods for assigning a user to a product:

  • Add a product to a user

  • Assign a user to a product

Users cannot access a product until they are assigned to that product.

To add a product to a user:

  1. On the Explorer pane, expand the Users folder then select an appropriate user. The User Details form displays.

  2. On the Products tab, click Add. The Add Product dialog box is displayed.

  3. Select a product or products to add to the user.

  4. Click OK.

To assign a user to a product:

  1. On the Explorer pane, expand the Products folder then select a product. The Product Details form displays.

  2. On the License section, click Assign Users. The Assign Product Users dialog box displays.

  3. On the Available Users pane, select a user or users to assign to the product.

  4. Click the right arrow button.

  5. Click OK.


Update License Dialog Box

The Update License dialog box allows you to enter a new license key or to update the current user count using the following options:

  • Product — This field automatically selects and displays the current product. It is non-editable.

  • Current User Count — This field automatically selects and displays the number of users who are allowed to log in to the selected product under the current license. It is non-editable.

  • New License Key — This field allows you to enter a new license key for the selected product.

  • New User Count — When you click Test, this field displays the number of concurrent logins allowed by the new license.

This dialog box also contains the following buttons:

  • Test — Click this button to test the new license key, and enable the Update button.

  • Close — Click this button to close the dialog box without changes.

  • Update — Click this button to update the license key, and reset the number of permitted concurrent users to the value displayed in the New User Count field.

  • Help — Click this button to display the Help information about this dialog box.

When you add or update a license, users receive a new license key. The new license key specifies the number of users who may be logged in to the program at one time.

Location


To display the View License Exceptions dialog box, take one of the following actions:

  • If the Products, Users, Groups, Roles, or Objects folder is selected, click Tools » View License Exceptions.

  • If a particular product is selected in the Products folder, click View License Exceptions in the Product Details form.

View License Exceptions Dialog Box

The View License Exceptions dialog box allows you to do the following tasks:

  • View a list of all users who have logged in to an application.

  • Determine if your company is exceeding the amount of purchased licenses (and thus determine if more licenses are needed.)

In Open Plan, if you exceed the allowed number of users for your license, the following error message displays when you attempt to log in:
The number of users specified by the Open Plan license has been exceeded. Contact your system administrator for assistance.

Exception Descriptions

  • Product — This field displays the Deltek product name for which the number of licenses is exceeded.

If you accessed this dialog box for a specific product by clicking the button on the Product Details pane, the exceptions listed are limited to the selected product. If you accessed this dialog box from the Tools menu, the exceptions listed are for all installed products.

  • License — This field displays the license number of the Deltek product.

  • Licensed Users — This field displays the number of users permitted by the license.

  • Users Logged In — This field displays the number of users logged in at the time of the exception.

  • User ID — This field displays the ID of the user whose login generated the exception.

  • Machine ID — This field displays the ID of the machine that generated the exception.

  • Login Time — This field displays the date and time when the login generated the exception.

This dialog box also contains the following buttons:

  • Clear Records — Click this button to display the Records to Clear dialog box, which you can use to delete entries in the exception log.

  • Close — Click this button to close the dialog without changes.

  • Print —Click this button to print the exception log.

  • Help — Click this button to display Help information about this dialog box.

If there are no license exceptions, the following message displays:
No license exceptions.

Location


To display the Records to Clear Dialog Box, take the following actions:

  1. On the Explorer pane, expand the Products folder then select a product. The Product Details form displays.

  2. Click View License Exceptions» Clear Records.

Alternatively, you can click Tools »View License Exceptions. Then, click Clear Records.

Records to Clear Dialog Box

Use the Records to Clear dialog box to remove from the exception log any records that you no longer need. You can clear all records in the log or clear only records recorded before a specific date.

The dialog box contains the following options:

  • Product — This field contains a list of the products in the exception log.

  • Clear All — Select this option to instruct the Security Administrator to remove from the exception log all records for the selected product.

  • Clear Before — Use this option to exercise more control over the records to be cleared from the exception log. Select this option and then enter a date in the Date field to instruct the Security Administrator to remove all records in the exception log that were generated for the selected product before the specified date. Click the ellipsis at the right edge of the date field to display a calendar that you can use to select a date.

Click the Clear button to remove the specified records.

Location


Add Product Dialog Box

Use the Add Product dialog box to add users to an installed Deltek product.

Users cannot log into a product to which they have not been assigned.

The Select Product list displays all of the installed Deltek products. Selecting a product and clicking OK adds that product to the selected user’s Accessible Products list on the Products tab of the User Details form.

You can select multiple products to add at one time.

Location


Assign Product Users Dialog Box

The Assign Product Users dialog box allows you to add or remove users to a product.

Before users can log in to a product, they must first be assigned to the product.

The dialog box is divided into two lists:

  • Available Users — This list contains all of the users defined in the data source who are not currently assigned to the product. To assign a user to the product, select the user from the list, and click the right arrow button.

  • Assigned Users — This list contains all of the users who are currently assigned to the product. To remove a user from the product, select the user from the list and click the left arrow button.

You can select and move multiple users at the same time.

This dialog box also contains the following buttons:

  • OK — Click this button to save the changes and close the dialog box. A message displays, informing you that the Assigned User list has been updated.

  • Cancel —Click this button to close the dialog box without changes.

  • Help — Click this button to display Help information about this dialog box.

Location


Enable User Logins

To enable user logins:

  1. On the Explorer pane, expand the Products folder then select a product. The Product Details form displays.

  2. On the Logins section, click Enable Logins.

The message in the Logins section changes to Logins are currently: Enabled, and the button text changes to Disable Logins.


Disable User Logins

To disable user logins:

  1. On the Explorer pane, expand the Products folder then select a product. The Product Details form displays.

  2. On the Logins section, click Disable Logins.

The message in the Logins section changes to Logins are currently: Disabled, and the button text changes to Enable Logins.


Create a Login Message

A login message allows you to inform users, for example, about company policies regarding a computer or application usage, or a scheduled downtime.

To create a login message:

  1. On the Explorer pane, expand the Products folder then select a product. The Product Details form displays.

  2. On the Logins section, click Login Message. The Login Message dialog box displays.

  3. Enter a message in the text box.

You can use a maximum of 250 alphanumeric and special characters, including spaces.

  4. Enter an expiration date for the message, if needed.

  5. Click OK.


Login Message Dialog Box

Use the Login Message to create standard login message that displays every time a user logs in.

This dialog box contains the following controls:

  • Login Message — Enter a message in this text box. You can enter up to 250 alphanumeric and special characters, including spaces.

Security Administrator cannot display a blank message. You must either enter a message or select the No Login Message option.

  • No Login Message — Select this option to instruct the Security Administrator not to display a message at login.

  • Expiration Date — You can specify an expiration date for the message, after which the message will not display. Otherwise, the message will always be displayed.

You can also click the ellipsis button to display a pop-up calendar that can help you select a date.

Location


Send a Message to a User

You can only send a message to users who are currently logged in to a product.

To send a message to a user:

  1. On the Explorer pane, expand the Products folder then select an appropriate product. The Product Details form displays.

  2. On the Users section, select a recipient or recipients of a message.

If the message is for all logged-in users, select the All Users option.

  3. Click Send Message to display the Send Message dialog box.

  4. Enter the message in the text field.

You can use a maximum of 250 alphanumeric and special characters, including spaces.

  5. Click Send.


Terminate a User's Application Session

You can end sessions for certain users or all users who are logged in, and close the application for those users.

To terminate a user’s application session:

  1. On the Explorer pane, expand the Products folder then select a product. The Product Details form displays.

  2. On the Users section, select a user or users.

To terminate the session for all logged-in users, select the All Users option.

  3. Click Terminate Session. Another dialog box displays, prompting you to confirm the task.

  4. Click OK.


Send Message Dialog Box

The Send Message dialog box allows you to send a message to any user logged in to an installed product. The message identifies who send it and when it is sent.

You can send a message of up to 250 alphanumeric and special characters, including spaces.

If a user logs out of the application while you are still typing the message, Security Administrator displays a warning message when you click Send to indicate that the message has not been sent to that user.

You cannot send a blank message.

You can send a message to individual users by selecting those users by either holding Shift or Ctrl and, at the same time, clicking intended recipients. Also, you can send a message to all users by selecting the All Users checkbox, and then clicking the Send Message button. Another dialog box with the preview of the message displays. Click Send.

Location


Clear Connections

Use this option to display the Clear Connections dialog box, which contains a list of users who are logged in to the application.

If your system crashes, it may indicate users are still logged on when you attempt to open the application again.

The Clear Connections dialog box has the following buttons:

  • Clear User — Click this button to manually clear a user from the system

  • Close — Click this button when you have cleared the users you want removed.

  • Help — Click this button if you need more information about the Clear Connections dialog box.

Location


Assign a Product License to a User

To assign a product license to a user:

  1. On the Explorer pane, expand the Products folder then select a product.

  2. On the Module Details form, click the Assign Users button.

  3. From the Available License Types list, select the license type to add users to.

  4. From the Available Users list on the Assign User License dialog box, select a user or users to add to the license.

  5. Click the right arrow button.

  6. Click OK.


Remove a User from a License

To remove a user from a license:

  1. On the Explorer pane, expand the Products folder then select an appropriate application.

  2. On the Module Details form, click the Assign Users button.

  3. From the Available License Types list, select the license type to remove the user from.

  4. From the Assigned Users list on the Assign User License dialog box, select a user or users to remove from the license.

  5. Click the left arrow button.

  6. Click OK.


Module Details Form

For Deltek PPM products, this form allows users to manage and track licenses for a particular module. The License section displays the number of licensed users for the Deltek PPM module and the number of users currently logged in to the product.

The following buttons are displayed:

  • Manage Licenses — Click this button to display the Manage Licenses dialog box, which you can use to increase the number of licensed users for the Deltek application. After you receive a new license key from Deltek, you can use this dialog box to add your license to the Security Administrator. You can also use the Manage Licenses dialog box to update or delete licenses.

  • Assign Users — Click this button to display the Assign User License dialog box, which you can use to assign user licenses to module users. Users need to be assigned to a license before they can log in and use the module.

Location


Update License Dialog Box for Deltek PPM Products

The Update License dialog box for Deltek PPM products allows you to enter a new license key, and update the original user count using the following options:

  • Current Key Type — This field displays the current type of license (Full, Evaluation, or Team Member).

  • Current Count — This field displays the number of users who are permitted to log in to the selected product under the current license.

  • New License Key — This field allows you to enter the new license key for the selected product.

  • New User Count — When you click Test, this field displays the number of concurrent logins permitted by the new license.

This dialog box also contains the following buttons:

  • Test — Clicking this button tests the new license key and enables the Update button.

  • Close — Click this button to close the dialog box without changes.

  • Update — Click this button to update the license key and reset the number of permitted concurrent users to the value displayed in the New User Count field.

  • Help — Click this button to display Help about this dialog box.

Location


Assign User License Dialog Box

The Assign User License dialog box is displayed for each application. Use this dialog box to add users to, or remove users from, an application. Before a user can log into a product, he must be assigned a license for that product. Each individual user can be assigned to only one license key for each product.

The dialog box is divided into two sections:

  • Available License Types — Select a type from the list of available license keys.

For Cobra 5, if the license type is Concurrent, an unlimited number of users may be assigned to the license key. If the license type is Named, the number of assigned users is limited to the supported license count.

  • Users — This section is divided into two lists:

    • Available Users — This list contains all of the users defined in the data source who are not currently assigned to the product license. To assign a user to the product license, select the user from the list and click the right arrow.

    • Assigned Users — This list contains all of the users who are currently assigned to the product license type. To remove a user from a license type, select the user from the list and click the left arrow.

You can select multiple users to move at the same time.

Location


Define Users Overview

Define User Profiles Overview

The EPM System Administrator allows you to provide a potential user with access to one or more supported Deltek applications.

General Procedure

  1. Create user records in the Security Administrator by doing one of the following actions:

    • Add a new user

    • Import a user

  2. Create a user profile.

Forms for Working with User Profiles

The Security Administrator provides two forms related to the user profile:

  • Properties: Users form — Use this form to see the list of all the users currently defined in the security tables.

  • User Details form — Use this form to see detailed information about a specific user profile, and to create new user profiles.

Both forms are linked to information displayed on the Explorer pane:

  • On the Explorer pane, double-click the Users folder then display the list of User Ids currently defined. The Properties: Users form displays on the Properties pane.

  • In the Properties: Users form, double-click a user record. The User Details form for the selected user displays on the Properties pane.

  • Select a User ID on the Explorer pane. The User Details form for the selected user displays on the Properties pane.

More Information

For more information, see the following topics:

  • View a List of Currently Defined Users

  • Change a User ID

    • Delete a User

    • Import Users Overview

    • Create a User Profile

    • Change a User Password

    • Add a Note to a User's Profile

    • Print a User List


View a List of Currently Defined Users

The Users folder on the Explorer pane lists the users currently stored in the security tables. When you select this folder, the Properties: Users form displays on the Properties pane, showing the following information for all currently defined users:

  • User ID

  • Last Name

  • First Name

The users grid is initially sorted on the User ID column. To sort the data on another criterion, click on a different column heading.

Two buttons are located at the bottom of this form:

  • Find — Click this button to display the same Find dialog box that allows users to search for a User ID, Last Name, or First Name. This dialog box operates only on a selected column in the Properties: Users form.

  • Refresh — Click this button to query the security tables for the latest data and refresh the information both on the Explorer pane and the grid on the Properties: Users form. The refreshed grid displays the list of users sorted on the User ID column.

Preconfigured Users

When the Security Administrator is first installed, two users are created automatically:

  • SYSADMIN — This User ID is typically used by the Security Administrator. The initial password for this user is PASSWORD. You should change this password as soon as possible. This user is a member of the SYSADMIN group and is automatically assigned the SYSADMIN role in Access Control Lists. You cannot delete or modify the SYSADMIN user or the SYSADMIN group.

  • GUEST — This User ID does not have a password and is provided to allow people who are evaluating Deltek software to log in easily. By default, the GUEST user is a member of the GUEST group. You can make changes to this user account.


Add a New User

When you add a new user, the Security Administrator creates a NEW USER entry in the Users folder and displays the General tab of the User Details form in the Properties pane. Under most circumstances, you should change the NEW USER ID to a unique ID, so that you can add more users.

To create a new user:

  1. On the Explorer pane, select the Users folder or an individual user.

  2. Take one of the following actions:

    • Click Edit » Add.

    1. Right click the Users folder to display a context menu then click Add.

  3. Change the User ID from NEWUSER to a unique name.

The user ID can have a maximum of 20 characters. See Change a User ID for more information.

  4. On the User Details form that displays in the Properties pane, enter the information for the user. Change the password for the new user from the default PASSWORD to something unique.

You can also import users from an ASCII file, a Microsoft Outlook contacts folder, or Windows Active Directory Services.


Change a User ID

To change a User ID:

  1. On the Explorer pane, select a User ID that you want to change.

  2. Click within the highlighted entry.

  3. Enter the new User ID then save.


Delete a User

To delete a user:

  1. On the Explorer pane, expand the Users folder then select a user that you want to delete.

  2. Take one of the following actions:

    • In the User folder, right-click the user then click Delete on the context menu.

    • On the Security Administrator menu bar, click Edit » Delete.

Another dialog box displays, prompting you to confirm the deletion.

  3. Click Yes.


Import Users Overview

To speed up the process of adding users via Security Administrator, you can import user data from Windows Active Directory Services, Microsoft Outlook, or ASCII files.

More Information

See the following topics:

  • Import Users from Windows Active Directory Service Interfaces (ADSI)

  • Get User Properties from ADSI Dialog Box

  • Import Users from a Microsoft Outlook Contacts Folder

  • Get User Properties From Outlook Dialog Box

  • Import Users from ASCII File

  • Import Users from ASCII Dialog Box


Import Users from Windows Active Directory Services

Import Users from Windows Active Directory Service Interfaces (ADSI)

Active Directory Service Interfaces (ADSI) is a set of directory service interfaces used for managing network resources. The Security Administrator uses this feature to import both users and groups from a server in the host company. When you import data in this way, the User IDs and Group IDs created in the Security Administrator are the same as those in use at the host company.

To import users from Windows Active Directory Service Interfaces (ADSI):

  1. Click System » Import Users » From Active Directory Services.

  2. On the Security Administrator Server Name dialog box, enter the name of the server from which you want to import user records.

  3. From the Groups list on the Get User Properties from ADSI dialog box, select a group from which you want to import users. When you select a group from the Groups list, the Security Administrator displays the list of users on the server in the Users list.

  4. In the Users list, select the users that you want to import. Select as many of these users as needed. (Use the SHIFT and CTRL keys for multiple selections.)

  5. Click Import Users. The Security Administrator converts imported User IDs to all uppercase characters and automatically assigns users to the same groups to which they previously belonged.

  6. Review the user profile that is created, and make any modifications and additions that are needed.

To rename the server, use the Security Administrator Server Name dialog box.


Import Users from a Microsoft Outlook Contacts folder

The Security Administrator can import users from the Contacts folder in Microsoft Outlook. When importing these users, the Security Administrator examines the entries in this folder to determine the first and last names of each entry and creates a user ID from this information.

By default, the Security Administrator creates the User ID in First Initial and Last Name format. However, you can change the format to First Name and Last Initial.

To import users from Microsoft Outlook:

  1. Click System » Import Users » From Outlook Contacts.

  2. If prompted, allow Microsoft Outlook to access the Internet for up to three minutes.

  3. On the Get User Properties from Outlook dialog box, select the users that you want to import.

  4. Click Import Users. The Security Administrator automatically converts the user IDs to all uppercase characters. If an Outlook contact does not contain a first name and last name, the Security Administrator uses an algorithm to create the User ID.

  5. Review the user profile that is created, and make any modifications and additions that are needed.


Import Users from ASCII File

Import Users from an ASCII File

To import users from an ASCII file:

  1. Create a text file in the correct format using one of the following methods:

    • Export users to a text file from another program, such as Outlook.

    • Use a text editor, such as Notepad, to prepare a comma-delimited text file containing the data about the users that you plan to import.

  2. In Security Administrator, click System » Import Users » From ASCII.

  3. On the Import Users from ASCII dialog box, select the previously prepared .txt file. During the import process, the Security Administrator copies the data into the security tables and creates an entry for each user on the Properties: Users form. The Security Administrator records any errors created in this process in an Imperr.log file and displays the User Import Error Log message box. The error log message box provides three options:

    • OK — Click this button to close the message box.

    • Print Log — Click this button to print the log on the default printer.

    • View Log — Click this button to display the error log in a program such as Notepad or WordPad.

  4. Click OK.

  5. Assign each of the newly imported users to one or more groups.


Get User Properties from ADSI Dialog Box

When you import users from the server in your company that manages Active Directory Services, the User IDs and Group IDs that are created in the Security Administrator are the same as those at your company.

The Get User Properties from ADSI dialog box contains two panes:

  • Groups — This pane displays a list of groups that are set up on your ADSI server.

  • Users — This pane displays a list users who are members of each group.

When you select a group from the Groups list, the Security Administrator displays the list of users on your server in the Users list. You can then select as many of these users as you want (using the SHIFT and CTRL keys for multiple selections.)

When you click Import Users, the selected users are imported into the Security Administrator. During this process, information that is stored on your company’s server about each individual user is automatically transferred. The imported users are also automatically assigned to the same groups to which they belong in your company.

The User IDs on your ADSI server may be in mixed uppercase and lowercase characters. However, once imported into the Security Administrator, these IDs are automatically converted to all uppercase characters.

Location


Security Administrator Server Name Dialog Box

Active Directory Service Interfaces (ADSI) is a set of directory service interfaces for managing network resources. Using ADSI, system administrators can automate common tasks such as adding users and groups, managing printers, and setting permissions on network resources. The Security Administrator uses this ability to allow you to import both users and groups from a server in your company. When data is imported in this way, the User IDs and Group IDs that are created in the Security Administrator are the same as those in use at your company.

The Security Administrator Server Name dialog box contains a single text field that you can use to enter the name of the server in your company that manages your Active Directory Services.

Location


Get User Properties from Outlook Dialog Box

The Get User Properties from Outlook dialog box allows you to create user records from a Contacts list in Microsoft Outlook. The Security Administrator can create User IDs from this list in either of the following ways:

  • First Initial and Last Name — For example, with this option, the Security Administrator would create JDOE as a User ID from the name John Doe.

  • First Name and Last Initial — For example, with this option, the Security Administrator would create JOHND as a User ID from the name John Doe.

For each entry in your Contacts list, the list box displays the User IDs that would be created with the option you select, followed by the full name within brackets [ ].

After you select the User ID format, you can highlight as many records as you need and click Import Users to create the user records.

Location


Import Users from ASCII Dialog Box

The Import Users from ASCII dialog box allows you to create user records from a comma-delimited ASCII file. This ASCII file must reference the following fields, in the sequence listed in this table:

Field | Maximum Number of Characters
User_ID | 20
FirstName | 50
LastName | 50
Password | 8
Manager | 20
Department | 60
Location | 60
Address1 | 60
Address2 | 60
City | 20
State | 20
Country | 20
PostalCode | 20
Phone | 20
Fax | 20
Email | 60
Notes | 255

While the ASCII file does not need to include data for all these fields, you must still include the comma separators.

When you select the appropriate .txt file and click OK, the imported users are automatically added to the list of users in the Security Administrator.

If the Security Administrator encounters an error during the import user operation, it creates a log file (imperr.log) in the Security Administrator folder and alerts you to the situation.

Location


Create a User Profile

After you create user records in the Security Administrator, by adding a new user or jmporting users, you must create a user profile on the User Details form.

To create a user profile:

  1. On the General tab of the User Details form, enter basic information about the user, such as the user's first and last names and the default role in your company.

  2. Add groups or remove groups.

For more information, see Define Group Profiles Overview.

  3. Use the Address tab of the User Details form to specify the user's address, phone number, and fax number.

  4. On the Data tab of the User Details form, you can review the list of all Open Plan objects (such as calendars, codes, projects, and resources) that the selected user has open. A lock on a selected object can be removed on this form when necessary. (This tab displays only if at least one edition of Open Plan is installed.)

  5. Use the Notes tab of the User Details form to add a note to a user's profile.

  6. Use the Products tab of the User Details form to display a list of installed Deltek products to which the selected user has been assigned or to assign the user to a product.

For more information, see Assigning a User to a Product.


Change a User Password

To change a user password:

  1. Open the User Details form by taking one of the following actions:

    • On the Explorer pane, select a user whose password you want to change.

    • On the Properties: Users form, double-click a user whose password you want to change.

  2. On the General tab, click Password. The Change Password dialog box displays.

  3. In the New Password field, enter a new password for the user.

You can use up to 128 alphanumeric and special characters. You can also set the password to blank if the value of the minimum password length is set to zero (0). If this is the case, leave the New Password field blank.

For more information, see the Set a Minimum Length for a New Login Password.

  4. In the Confirm New Password field, re-enter the new password for the user.

Leave this field blank if you set the New Password to blank.

  5. Click OK.

Users can also change their own passwords within a Deltek application to which they have access. For example, WelcomHome and Open Plan users can change their passwords from within WelcomHome and Open Plan.


Add a Note to a User's Profile

To add a note to a user's profile:

  1. On the Explorer pane, expand the Users folder then select a user to which you want to add a note.

  2. On the Notes tab of the User Details form, enter the information for the note.

You can use up to 255 characters.

  3. Click Save.


Properties: Users Form

The Properties: Users form displays a grid containing the following information for all users whose profiles are currently stored in the security tables:

  • User ID

  • Last Name

  • First Name

You can add to the list of users in either of the following ways:

  • Click Edit » Add.

  • Right-click the Users folder, then click Add on the context menu.

Both of these methods add a new entry to the list of users. Initially, this entry is assigned the following default settings:

  • User ID — NEWUSER. You can create a new user or change a user ID.

  • Password — PASSWORD. You can change the password.

The following buttons are located at the bottom of the Properties: Users form:

  • Find

  • Refresh

Location


To display the User Details form, take one of the following actions:

  • On the Explorer pane, click the Users folder. The Properties: Roles form displays on the right pane. Double-click any row in the table.

  • On the Explorer pane, expand the Users folder then select a user in the list.

The General tab of the User Details form displays by default.

User Details Form

This form allows you to define a profile for a user using the following tabs:

  • General

  • Groups

  • Address

  • Data

  • Notes

  • Products

Location


To display the General tab, take one of the following actions:

  • On the Explorer pane, click Users. The Properties: Roles form displays on the right pane. Double-click any row in the table.

  • On the Explorer pane, expand the Users folder then select a user in the list.

The General tab of the User Details form displays by default.

User Details Form: General Tab

The General tab of the User Details form is used to define the following elements of the user's profile:

  • First name

  • Last name

  • Primary Role

  • Password

  • Manager

  • Alternate Manager

  • Department

  • Location

  • Email

Location


To display the Groups tab, take the following actions:

  1. Select a user. You can do this in one of the following ways:

  • On the Explorer pane, expand the Users folder then select a user in the list.

  • Double-click a row or user in the table of the Properties: Users form.

  2. Click the Groups tab of the User Details form.

User Details Form: Groups Tab

Use the Groups tab of the User Details form to display a grid containing a list of groups to which the user is currently a member.

The list of groups in the grid is linked to the list of groups displayed in the Groups folder of the Explorer pane. This means that when you double-click a group ID from the grid on the User Details form, that group is selected in the Explorer pane and displayed on the Group Details form of the Properties pane.

The following buttons are located at the bottom of this tab:

  • Add

  • Remove

Location


To display the Address tab, take the following actions:

  1. Select a user. You can do this in one of the following ways:

    • On the Explorer pane, expand the Users folder then select a user in the list.

    • Double-click a user in the grid of the Properties: Users form.

  2. Click the Address tab of the User Details form.

User Details Form: Address Tab

Use the Address tab of the User Details form to enter information about the user's address:

  • Address line 1

  • Address line 2

  • City

  • State

  • Country

  • Postal Code

  • Phone

  • Fax

Location


To display the Data tab, take the following actions:

  1. Select a user. You can do this in one of the following ways:

    • On the Explorer pane, expand the Users folder then select a user in the list.

    • Double-click a user in the grid of the Properties: Users form.

  2. Click the Data tab of the User Details form.

User Details Form: Data Tab

Use the Data tab of the User Details form to display a grid with a list of objects that the user currently has open. The grid contains the following information:

The table on the Data tab features the following columns:

  • Object Name

  • Object Type

  • Date

  • Mode

Use the Remove Lock button at the bottom of the tab to remove a lock from an object.

Location


User Details Form: Notes Tab

Use the Notes tab of the User Details form to enter notes about the user.

The text you enter on the Notes tab can have a maximum length of 255 characters. The note is automatically saved when you select another tab or folder in the Explorer pane. You can also click Save at the bottom of this tab.

Location


To display the Products tab, take the following actions:

  1. Select a user. You can do this in one of the following ways:

  2. On the Explorer pane, expand the Users folder then select a user in the list.

  3. Double-click a user in the grid of the Properties: Users form.

  2. Click the Products tab on the User Details form.

User Details Form: Products Tab

Use the Products tab of the User Details form to display the installed Deltek products to which the selected user has been assigned. It also allows you to assign the user to a product.

It has the following buttons:

  • Add — Click this button to display the Add Product dialog box, which you can use to select an installed product.

Users cannot log into a product if they have not been assigned to the product.

  • Remove — Click this button to remove the user from a product.

For more information, see Remove a User from a Product.

Alternative Procedure

You can also add and remove users from selected products using the Assign Product Users dialog box.

Location


To display the Change Password dialog box, take the following actions:

  1. Select a user whose password you want to change. You can do this in two ways:

    • On the Explorer pane, expand the Users folder then select the user. The User Details form displays on the right pane.

    • On the Explorer pane, click the Users folder. The Properties: Users form displays. Double-click the user to display the User Details form.

  2. On the General tab, click Password.

Change Password Dialog Box

Use this dialog box to change the password for any user of an application supported by the Security Administrator.

When you first add a new user to the security tables, the Security Administrator assigns the default password PASSWORD automatically. In most cases, you can change this password and give the new user a unique password.

You can change your SYSADMIN password in the same way you change the password for any other user. If you have not already done so, you should change your password as soon as possible.

The user can later change his or her own password in any supported Deltek application such as Open Plan Professional or WelcomHome. Because a password that is changed in a supported application is automatically encrypted and stored in the security tables, each user has a single password for all applications working from the same data source.

The Change Password dialog box features the following controls:

  • User ID

  • New Password

  • Confirm New Password

  • Allow Blank Password

Click OK to store your settings in the security tables.

Location


Print a User List

To print a user list:

  1. Click System » Print user list. The Print Options dialog box displays.

  2. Sort the list of users by selecting one of the following options:

    • User ID — Sort the report by user ID.

    • First Name — Sort the report by first name.

    • Last Name — Sort the report by last name.

  3. Click OK.


Remove a User from a Product

You can remove a user's access to a product in two ways: removing a product from a user removing a user from assignment to a product.

To remove a product from a user:

  1. On the Explorer pane, expand the Users folder then select a user that you want to remove. The User Details form displays on the right pane.

  2. Click the Products tab of the User Details form.

  3. From the Accessible Products list, select a product or products to remove.

  4. Click Remove.

To remove a user from assignment to a product:

  1. On the Explorer pane, expand the Products folder then select the product The Product Details form displays on the right pane.

  2. Click Assign Users. The Assign Product Users dialog box displays.

  3. In the Assigned Users list, select a user or users to remove from the product.

  4. Click the left arrow button.

  5. Click OK.


Add a New Group

To add a new group:

  1. On the Explorer pane, select the Groups folder or an individual group.

  2. Add a new group by taking one of the following ways:

    • On the Security Administrator menu bar, click Edit » Add.

    1. Right-click the Groups folder or an individual group, and click Add on the context menu.

  3. Change the Group ID from NEWGROUP to a unique ID for the group.

To change a Group ID, select it on the Explorer pane, click within the highlighted entry, and enter the new ID.

  4. On the Group Details form in the Properties pane, enter the profile information for the new group.


Copy a Group

To create a group as a copy of an existing one:

  1. On the Explorer pane, expand the Groups folder.

  2. Open the Copy Group dialog box by taking one of the following actions:

    • Select a group, and click Edit » Copy.

    1. Right-click a group, and click Copy on the context menu.

  3. In the Group ID field, enter a unique group ID.

  4. On the Group Details form on the Properties pane, enter the profile information for the new group.


Assign a User to a Group

You can add a user to a group in two ways:

  • Using the Groups tab of the User Details form.

  • Using the General tab of the Group Details form

To assign a user to a group using the User Details form:

  1. On the Explorer pane, expand the Groups folder then select a group to which you want to assign a user. The Group Details form displays on the right pane.

  2. On the General tab, click Add. The Add Users dialog box displays.

  3. Select the user that you want to assign to a group.

  4. Click OK.

To assign a user to a group using the Group Details form:

  1. On the Explorer pane, expand the Users folder then select a user. The User Details form displays on the left pane.

  2. On the Groups tab, click Add. The Add Groups dialog box.

  3. Select the group to which you want to assign the user.

  4. Click OK.


Remove a User from a Group

To remove a user from a group:

  1. Select a group by taking one of the following actions:

    • On the Explorer pane, expand the Groups folder then select a group from which you want to remove a user. The Group Details form displays on the right pane.

    • On the Explorer pane, click the Groups folder. The Properties: Groups form displays on the right pane. Double-click the group to display the Group Details form.

  2. On the General tab, select the User ID that you want to remove from the group.

  3. Click Remove.


Define Permissions for a Group

To define permissions for a group:

  1. On the Explorer pane, expand the Groups folder then select a group for which you want to assign permissions. The Group Details form displays on the right pane.

  2. On the General tab, select a default role.

  3. On the appropriate application tab (for example, the Open Plan tab), select permissions that you want to enable or disable for the group.

The Group Details form features a tab for each installed Deltek application that uses Security Administrator.


Properties: Groups Form

The Properties: Groups form displays a grid containing the following information about the groups that are stored in the security tables:

  • Group ID

  • Description

  • Manager

The list of groups in the grid is linked to the list of groups displayed in the Explorer pane. Double-clicking a group in the grid of the Properties: Groups form has the following effects:

  • The group is selected on the Explorer pane.

  • Detailed information about the selected group displays on the Group Details form.

You can add a new group or copy an existing group.

The following buttons are located at the bottom of the Properties: Groups form:

  • Find

  • Refresh

Location


To display the Group Details form, take the following actions:

  • On the Explorer pane, expand the Groups folder then select a group in the list.

  • On the Explorer pane, click the Groups folder. The Properties: Groups form displays. Double-click a group.

The Group Details form displays on the left pane.

Group Details Form

This form allows you to define a profile for a group using the following tabs:

  • General

  • Open Plan

The Group Details form displays a tab for each installed Deltek application using the active data source. Additional tabs for installed applications such as WelcomHome or Deltek PPM Suite may display.

For each item on an application tab, you can define security permissions to either enable or disable items for members of the group. When you right-click an item, the Security Administrator displays a context menu with the following options:

  • Visible — Select this option to make the item visible to members of the group.

All items are always visible in WelcomHome.

  • Enabled — Select this option to enable the item for members of the group.

  • Enable All — Select this option to enable all of the items in the list for members of the group.

Icon | Visible? | Enabled? | Effect
 | Yes | Yes | Members of the group can both see and use the menu item.
 | Yes | No | Members of the group can see the menu item, but not use it. In Open Plan, a menu item with this setting is shaded (grayed out).
 | No | Yes | While members of the group cannot see the menu item, the command is available to them. In Open Plan, this setting is useful when the application requires programmatic access to the feature. (The Visible No option is not supported in WelcomHome.)
 | No | No | Members of the group can neither see nor use the menu item. (The Visible No option is not supported in WelcomHome.)

Location


To display the General tab, take one of the following actions:

  1. Select a group. You can do this in one of the following ways:

    • On the Explorer pane, expand the Groups folder then select a group in the list.

    • On the Explorer pane, select the Groups folder. The Properties: Groups form displays on the right pane. Double-click a row in the table.

  2. Click the General tab.

Group Details Form: General Tab

Use the General tab of the Group Details form to define the following items of the group profile:

  • Description

  • Default Role

  • Manager

  • Users

Three buttons at the bottom of this tab allow you to add or remove users of the group and to refresh the display:

  • Add

  • Remove

  • Refresh

Location


To display the Open Plan tab, take one of the following actions:

  1. Open the Group Details form. You can do this in two ways:

    • On the Explorer pane, expand the Groups folder then select a group in the list.

    • On the Explorer pane, click the Groups folder. The Properties: Groups form displays on the right pane. Double-click a group in the table.

The Group Details form displays on the right pane.

  2. Click the Open Plan tab.

Group Details Form: Open Plan Tab

Use the Open Plan tab of the Group Details form to set permissions allowing user access to the options within Open Plan. You can select the parent and child permissions individually. However, if the parent has been disabled and one of the children has been enabled, the parent permission is automatically reset to enabled.

The Visible and Enabled permissions are assigned by default to each group for the following items:

  • File

    • New

    • Save View

    • Manage Files

      • Backup File

      • Restore File

      • Delete File

      • Check In/Check Out

      • Change Owner and Access Control

    • Import

      • Import MSP File

      • Import P3 File

      • Import General

  • Tools

    • Reporting Calendars

    • Filters

      • Create Filter

      • Edit Filter

      • Delete Filter

    • Sorts

      • Create Sort

      • Edit Sort

      • Delete Sort

    • Calculated Fields

      • Create Calculated Field

      • Edit Calculated Field

      • Delete Calculated Field

    • Group Delete

    • User Defined Fields

      • Create User Defined Fields

      • Edit User Defined Fields

      • Delete User Defined Fields

    • Spread Curve

    • Global Edit

      • Create Global Edit

      • Edit Global Edit

      • Delete Global Edit

    • Batch Global Edit

      • Create Batch Global Edit

      • Edit Batch Global Edit

      • Delete Batch Global Edit

    • Note Categories

      • Create Note Categories

      • Edit Note Categories

      • Delete Note Categories

    • Email Advisor

      • Create Email Definition

      • Edit Email Definition

      • Delete Email Definition

    • Browser Views

    • Rollup Definitions

      • Create Rollup Definitions

      • Edit Rollup Definitions

      • Delete Rollup Definitions

    • Title Blocks

    • Bar Sets

    • Send Message

    • Data Sources

      • Create Data Source

      • Edit Data Source

      • Delete Data Source

    • Options

      • Symbols

      • Extensions

    • View Preferences

  • Manage Project Template

  • Customize Add-Ins Toolbar

You can right-click each item on this tab to display a context menu that allows you to define permissions for members of the group. You can also right-click an empty area of the tab to display a context menu that allows you to define permissions for all of the items at one time.

Location


Add Groups Dialog Box

To display the Add Group dialog box, take the following actions:

  1. On the Explorer pane, expand the Users folder then select a user. The User Details form displays on the left pane.

  2. On the Groups tab, click Add. The Add Groups dialog box displays.

Add Group Dialog Box

Use the Add Group dialog box to display a list of groups that have already been defined in the Security Administrator.

To assign a user to a predefined group, select the appropriate group, and click OK.

Location


To display the Add Users dialog box, take the following actions:

  1. On the Explorer pane, expand the Groups folder then select a group to which you want to assign a user. The Group Details form displays on the right pane.

  2. On the General tab, click Add. The Add Users dialog box displays.

Add Users Dialog Box

Use the Add Users dialog box to display a list of users that have already been defined in the Security Administrator.

To assign a user to a group, select the appropriate user then click OK.

Location


Copy Group Dialog Box

Use this dialog box to add the name of the new group. When you add a new group, the Security Administrator uses the existing group's profile to create the new group. You can either edit or create new information for the group in the following ways:

  • To change the group details, select the group ID and enter the new information on the Group Details form.

  • To change the permissions granted to the new group, click the appropriate application tab, and define the new permissions.

Location


Define Roles Overview

You assign each user a primary role, such as scheduler, analyst, or project manager. These roles define the type of operations a user can perform such as update baselines, set budget equal to actual costs, and update data.

You can override the primary role if a user has a different role on another project. You can also override a user's primary role via group settings. For example, you could give a group called the PMO (project manager organization) a role with a high degree of security clearance. Some items such as global filters are controlled by group, rather than role. This simplifies the process of granting access to all members of a group.

The following distinctions can be made between the permissions assigned to groups and those assigned to roles.

  • Application-level security is managed by assigned permissions to group.

  • Data object security is managed by assigning permissions to roles within the Security Administrator, and subsequently granting access control within the application.

If a particular securable element is defined with both group and role security, the security within the applications always takes the more stagnant of the two. For example, a member of the MANAGER group, Tom Smith, may have the right to delete files in Open Plan. However, the access control on any specific calendar file may prevent him from deleting that specific calendar file.

More Information

For more information, see the following topics:

Add a New Role

Copy a Role

Define Permissions for a Role

Properties: Roles Form

Role Details Form

Copy Role Dialog Box


Add a New Role

This task allows you to create a new role with profile information.

To add a new role:

  1. Add a new group in one of the following ways:

    • On the Security Administrator menu, click Edit » Add.

    • On the Explorer pane, right-click the Roles folder or an individual role, and click Add on the context menu.

  2. Change the Role ID from NEWROLE to a unique ID for the role.

To change a Role ID, select it on the Explorer pane, click within the highlighted entry, and enter the new ID.

  3. On the Role Details form, enter the profile information for the new role.


Copy a Role

This task allows you to create a role as a copy of an existing one:

To copy a role:

  1. Copy an existing group in one of the following ways:

    • On the Security Administrator menu, click Edit » Copy.

    • On the Explorer pane, expand the Roles folder then right-click an individual role, and click Copy on the context menu.

  2. On the Copy Role dialog box, enter a unique role ID, and click OK.

  3. On the Role Details form, enter the profile information for the new role.


Define Permissions to a Role

To define permissions for a role:

  1. On the Explorer pane, select a role for which you want to assign permissions.

  2. On each application tab, select the permissions that you want to enable or disable for the role.

The Role Details form features a tab for each installed Deltek application that uses Security Administrator.


Properties: Roles Form

This form displays a grid containing the following information about the roles stored in the security tables:

  • Role ID

  • Description

  • Manager

Double-clicking a role name in the grid or selecting it from the Explorer pane displays information about the role in the Role Details form. You can add a role or copy an existing role.

The following buttons are located at the bottom of the Properties: Roles form:

  • Find

  • Refresh

Location


To display the Role Details form, take one of the following actions:

  • On the Explorer pane, click Roles. The Properties: Roles form displays on the right pane. Double-click any row in the table.

  • On the Explorer pane, expand the Roles folder then select a role in the list.

The General tab of the Role Details form displays by default.

Role Details Form

This form allows you to define a profile for a role using the following tabs:

  • General

  • Open Plan

The Group Details form displays a tab for each installed Deltek application using the active data source. Additional tabs for installed applications such as WelcomHome or Deltek PPM Suite may display.

For each item on an application tab, you can define whether it should be enabled for users and groups assigned these roles. When you right-click an item, the Security Administrator displays a context menu with the following options, which defines the type of access required for each role:

  • Visible — Select this option to make the item visible to users and groups assigned this role.

The setting applies to menu items only. All items are always visible in WelcomHome.

  • Enabled — Select this option to enable the item for users and groups assigned this role.

  • Enable All — Select this option to enable all of the items in the list for users and groups assigned this role.

The following table shows each setting and its special icon:

Icon

Visible?

Enabled?

Effect

Yes

Yes

Users and groups assigned this role can both see and use the menu item.

Yes

No

Users and groups assigned this role can see the menu item but cannot use it. A menu item with this setting is shaded.

No

Yes

Users and groups assigned this role cannot see the menu item, but they can perform the corresponding action or use the menu item.

In Open Plan, this setting is useful when the application requires programmatic access to the feature. (The Visible No option is not supported in WelcomHome.)

No

No

Users and groups assigned this role can neither see nor use the menu item. (The Visible No option is not supported in WelcomHome.)

Location


To display the General tab, take one of the following actions:

  • On the Explorer pane, click Roles. The Properties: Roles form displays on the right pane. Double-click any row in the table.

  • On the Explorer pane, expand the Roles folder then select a role in the list.

The General tab of the Role Details form displays by default.

Role Details Form: General Tab

Use the General tab of the Role Details form to define a profile for a role. This tab displays by default when you select a role either from the Explorer pane or from the grid on the Properties: Roles form. The General tab allows you to define a Description and select a Manager for the selected role.

In addition, entries in the grid display the following information about group and object information that is stored in the access control table for the role:

  • Group ID

  • Object Name

  • Description

  • Type

Location


To display the Open Plan tab, take the following actions:

  1. On the Explorer pane, click Roles. The Properties: Roles form displays on the right pane.

  2. Double-click any row in the table. The General Tab of the Role Details form displays by default.

  3. Click the Open Plan tab.

Alternatively, you can take the following actions:

  1. On the Explorer pane, expand the Roles folder then select a role in the list. The Role Details form displays.

  2. Click the Open Plan tab.

Role Details Form: Open Plan Tab

Use the Open Plan tab of the Role Details form to control the default permissions that allow users to access options within Open Plan.

In many cases, an object owner or member of the SYSADMIN group can restrict the rights that you enable on this form by providing only read-only rights to a data for a given user-role or group-role combination in the relevant Access Control List in Open Plan. In general, permissions that relate to saving, editing, and deleting an object can be restricted in this manner.

For example, assume that you have enabled the Fill Column Down item for the DEFAULT role. Also, assume that the object owner assigns the DEFAULT role to DBETTS relative to a specific project, but specifies read-only permissions. Under these circumstances, DBETTS will not be able to execute the Fill Column Down command on that particular project even though you have enabled the item for the DEFAULT role

You can select the parent and child permissions on this tab individually. However, if the parent has been disabled and one of the children has been enabled, the parent permission is automatically reset to enabled. The Visible and Enabled permissions are assigned by default to each group for the following items:

  • File

    • Save

    • Save View

    • Send

    • Manage Files

      • Backup File

      • Restore File

      • Delete File

      • Check In/Check Out

    • Import

      • Import MSP

      • Import P3 File

      • Import General

    • Export

      • Export MSP

      • Export General

      • Export Crosstable Data

  • Edit

    • Fill Column Down

    • Add Activity

    • Edit Activity

    • Delete Activity

    • Allocation

    • Progress

    • Define Work Hours

    • Define Work Week

    • Manage Calendars

    • Manage Holidays

    • Add Code

    • Edit Code

    • Delete Code

    • Add Resource

    • Edit Resource

    • Delete Resource

  • Tools

    • Manage Skills

    • View Preferences

  • Project

    • Time Analysis

    • Risk Analysis

    • Resource Scheduling

    • Cost Calculations

    • Progress Calculations

    • Baselines

      • Create Baseline

      • Update Baseline

      • Delete Baseline

      • Edit Baseline Spreadsheets

      • Edit Time-Phased Baseline

You can right-click each item on this tab to display a shortcut menu that allows you to define permissions. You can also right-click an empty area of the tab to display a context menu that allows you to define permissions for all of the items at one time.

Location


To display the Copy Role dialog box, take one of the following actions:

  • On the Security Administrator menu bar, click Edit » Copy.

  • On the Explorer pane, expand the Roles folder then right-click an individual role, and click Copy on the context menu.

Copy Role Dialog Box

The Copy Role dialog box allows you to copy an existing role, and give it a new name.

Location


Data Objects Overview

Objects are the data items to which access control is granted. For example, an object may be a project, a code file, or a menu item, and so on. These objects are created and maintained within the supported application.

You can view a list of the objects that are currently open from within the Security Administrator, and can remove a lock on an object when necessary. Typically, you would remove a lock for one of the following reasons:

  • Locks may be on data if a session ends abnormally. While these locks are automatically cleared the next time the user logs in to the application, it may be necessary to remove a lock immediately.

  • A user may have left the office with data open that is needed by another user.

Removing a lock on an object that is open by a user who is currently logged in to a supported application can cause data corruption. If you attempt to remove a lock under these circumstances, the Security Administrator issues a warning that notifies you of the situation and requires that you confirm the action.

The Security Administrator provides two forms that are related to data object records:

  • The Properties: Objects form contains a table that lists all the objects currently entered in the WST_LCK table.

  • The Object Details form provides information about the selected ("open") data object.

These forms are both linked to information displayed in the Explorer pane:

  • On the Explorer pane, double-click the Objects folder to expand the folder and display subfolders into which data objects are grouped. At the same time, the Properties: Objects form displays on the Properties pane.

  • When you expand a subfolder of the Objects folder, the folder displays the list of locked data objects of the selected type. At the same time, the Properties: Objects form for the selected type of object displays in the Properties pane.

  • Select an object on the Explorer pane. The Object Details form for the selected object displays in the Properties pane.

  • Double-click an object record in the Properties: Objects form. The Object Details form for the selected object displays in the Properties pane and the relevant object is selected in the Explorer pane.

More Information

For more information, see the following topics:

Remove a Lock on a Data Object

Properties: Objects Form

Object Details Form


Remove a Lock on a Data Object

To remove a lock on a data object:

  1. On the Explorer pane, select the appropriate data object.

  2. On the Object Details form, determine who has the data object opened, and check whether it is safe to remove the lock on the object.

  3. If appropriate, select the lock record in the table, and click Remove Lock. Depending on the Open Mode, clicking this button has one of the following effects:

    • If the Open Mode is Shared or Exclusive, clicking this button removes the lock on the object, and deletes the entry from both the Object Details form and the WST_LCK table.

    • If the Open Mode is Read Only, clicking this button deletes the entry from both the Object Details form and the WST_LCK table.


Properties: Objects Form

The Properties: Objects form displays a grid containing the following information about each entry in the WST_LCK table:

  • User ID

  • Name

  • Type

You can click the heading of any column in the grid to sort the data by that field.

Two buttons are located at the bottom of the form:

  • Find

  • Refresh

Location


Object Details Form

This form displays information about the currently selected open object. At the top of the form, the Security Administrator displays the following general information about the object:

  • Type

  • Controlling mode

  • Description

The Object Details form also features a grid that provides information about the open object in the following columns:

  • Opened by

  • Open mode

  • Accessed on

Click the Remove Lock button at the bottom of the form to remove the lock on a data object.

Location


Using Security in Open Plan with Minimum Controls

In the previous versions of Open Plan, security could be turned on or off. In Open Plan 3, however, security is always On. This does not mean that you must set up an elaborate security system that uses all the features of the Security Administrator. It is possible to set up Open Plan 3 security to provide minimum security controls.

If your organization did not use security in Open Plan 2.6 or 2.5, the following conditions were created when your data was migrated to Open Plan 3:

  • The person who migrated the data is defined as the owner of the data.

  • The Access Control tab for all migrated data objects, such as projects, auxiliary files,or views, contains the following settings:

    • Group — WORLD

    • Role — DEFAULT

    • Read Only — No

The said settings provide all users with full rights to all project data once they are logged into Open Plan 3.

If you would like to set up Open Plan 3 security to provide minimum security controls, you can create a similar security environment using these guidelines:

  • Create a User ID for each user.

  • Create a single group to which you assign all users.

To log into Open Plan 3, a user must have a valid User ID and be a member of a group.

  • Establish a policy that the Access Control tab for all data objects must contain the following settings:

    • Group — WORLD

    • Role — DEFAULT

    • Read Only — No

By default, members of the SYSADMIN group have full access to all data. While you could assign all users to the SYSADMIN group and in that way make it unnecessary to assign rights to new project data, this may have undesired results. All members of the SYSADMIN group also have access to the Security Administrator where they could modify any settings that they wish.


Assign a License Type to a User

To assign a license type to a user:

  1. From the Available License Types list on the Assign User License dialog box, select the License Type to which the user will be assigned.

  2. From the Available Users list on the Assign User License dialog box, select the user(s) to assign to the project.

  3. Click the right arrow button.

  4. Click OK.


import_usersmenubarpopupsec

Import Users

This command allows you to import users from one of several sources including:

  • Comma-delimited ASCII file

  • Outlook Contacts List

  • Active Directory Services


Manage Products Overview

The Security Administrator makes it possible for you to manage Deltek product licences.

For Open Plan and WelcomeHome you can:

  • Upgrade the software license.

  • Assign a user to a product.

  • Enable user logins.

  • Disable user logins.

  • Specify a login message.

  • Send a message to a user.

  • Terminate a user's application session.

For Cobra you can:

  • Upgrade the software license.

  • Assign a user to a product.

  • Enable user logins.

  • Disable user logins.

  • Specify a login message.

  • Set a minimum length for new login passwords.

  • Send a message to a user.

  • Terminate a user's application session.

For the Project Suite you can:

  • Assign a product license to a user.

  • Remove a user from a license.


print_user_listmenubarpopupsec

Print User List

This command allows you to generate a report listing all users found in the Security Administrator tables of the active data source. You can specify that the Security Administrator should sort the report on User ID, First Name, or Last Name.


Update License Dialog Box

The Update License dialog box allows you to enter a new license key and update the original user count using the following options:

  • Product

  • Current Key Type — This field displays the current type of license (Full, Evaluation, or Team Member).

  • Current Count — This field displays the number of users who are permitted to log in to the selected product under the current license.

  • New License Key — This field allows you to enter the new license key for the selected product.

  • Test — Clicking this button tests the new license key and enables the Update button.

  • New User Count — When you click Test, this field displays the number of concurrent logins permitted by the new license.

Along the bottom of the dialog box is a row of buttons:

  • Close — Click this button to close the dialog box without changes.

  • Update — Click this button to update the license key and reset the number of permitted concurrent users to the value displayed in the New User Count field.

  • Help — Click this button to display Help about this dialog box.

Location


Data Sources Dialog Box

The Data Sources dialog box displays a list of Deltek OLEDB data sources to which you can connect. These data sources are frequently referred to by their Data Source Names (DSNs).

The following buttons across the bottom of the dialog box allow you to add, edit, or delelte data sources:

  • Add &emdash; Click this button to display the Windows Data Link Properties dialog box, which you can use to configure a data source and add it to the list displayed on the Data Sources dialog box.

  • Edit &emdash; Select a data source from the list and click this button to display the Edit Data Source dialog box, which you can use to modify settings for the selected data source. A button on this dialog box also provides access to the Windows Data Link Properties dialog box. You can change any of the properties. However, if you are currently connected to the data source you are modifying, your changes do not take effect until the next time you start the Security Administrator.

The Connection tab on the Data Link Properties dialog box has an option called Allow saving password. Selecting this option encrypts both the user ID and password and passes this information to the Security Administrator. If this option is not selected, you are prompted to log in to a data source when you start the Security Administrator.

  • Delete &emdash; Click this button to delete the currently selected data source.

Location


Using the Product Details Form for Cobra

Product Details Form for Cobra

To display the Product Details form, select the appropriate product from the list of products in the Explorer pane. For Cobra, the form displays the following sections:

  • License

  • Logins

  • Password

  • Users

More Information

For more information, see the following topics:

Properties: Products Form

Product Details Form

Assign a License Type to a User

Upgrade the Software License

View License Exceptions Dialog Box

Manage Licenses Dialog Box

Add/Update License Dialog Box

Assign User License Dialog Box

Enable User Logins

Disable User Logins

Specify a Login Message

Login Message Dialog Box

Set a Minimum Length for a New Login Password

Send a Message to a User

Terminate a User's Application Session

Send Message Dialog Box


Add a New Role

To create a new role:

  1. On the Explorer pane, select the Roles folder or an individual role.

  2. Add a new group in one of the following ways:

  3. Click Edit » Add.

  4. Right-click the Roles folder or an individual role, and click Add on the context menu.

  3. Change the Role ID from NEWROLE to a unique ID for the role. To change a Role ID, select it on the Explorer pane, click within the highlighted entry, and enter the new ID.

  4. On the Role Details form in the Properties pane, enter the profile information for the new role.


Assigning a User to a Product

Assign a User to a Product

A user cannot access a product until you assign the user to that product. Security Administrator provides two methods for assigning a user to a product.

To add a product to a user:

  1. From the list of users in the Explorer pane, select the appropriate user.

  2. Display the User Details form.

  3. On the Products tab of the User Details form, click Add.

  4. On the Add Product dialog box, select the product(s) to add to the user.

  5. Click OK.

To assign a user to a product:

  1. From the list of products in the Explorer pane, select the product.

  2. On the Product Details form, click Assign Users.

  3. From the Available Users list on the Assign Product Users dialog box, select the user(s) to assign to the product.

  4. Click the right arrow button.

  5. Click OK.


Copy a Role

To create a role as a copy of an existing one:

  1. Expand the Roles folder in the Explorer pane.

  2. Take one of the following actions:

  3. Select a role and click Edit » Copy.

  4. Right-click a role and click Copy on the context menu.

  3. On the Copy Role dialog box, enter a unique role ID.

  4. On the Role Details form in the Properties pane, enter the profile information for the new role.


Define Permissions for a Role

To define permissions for a role:

  1. From the Explorer pane, select the role for which you want to assign permissions.

  2. On each application tab, select the permissions that you want to enable or disable for the role. (The Role Details form features a tab for each installed Deltek application that uses Security Administrator.)


Disable User Logins

To disable user logins:

  1. From the list of products in the Explorer pane, select the appropriate product.

  2. On the Product Details form, click Disable Logins.


Enable User Logins

To enable user logins:

  1. From the list of products in the Explorer pane, select the appropriate product.

  2. On the Product Details form, click Enable Logins.


Send a Message to a User

To send a message to a user:

  1. From the list of products in the Explorer pane, select the appropriate product.

  2. From the Users section of the Product Details form, select the recipient(s) for the message. If the message is for all logged-in users, select the All Users option.

  3. Click Send Message to display the Send Message dialog box.

  4. Enter the message in the text field. (The message can be a maximum of 250 characters in length.)

  5. Click Send.


Specify a Login Message

To specify a login message:

  1. From the list of products in the Explorer pane, select the appropriate product.

  2. On the Product Details form, click Login Message to display the Login Message dialog box.

  3. Enter the message in the text field. (The message can be a maximum of 250 characters in length.)

  4. Enter an expiration date for the message if one is needed.

  5. Click OK.


Terminate a User's Application Session

To terminate a user’s application session:

  1. From the list of products in the Explorer pane, select the appropriate product.

  2. From the Users section of the Product Details form, select the appropriate user(s). To terminate the session for all logged-in users, select the All Users option.

  3. Click Terminate Session.

  4. When Security Administrator prompts you to confirm, click OK.


Upgrade the Software License

When an upgraded license is purchased, the user receives a new license key. This new license key specifies the number of users who may now be logged in to the Deltek product at one time.

To let the Security Administrator know that the number of valid users to the product has been modified, click Manage Licenses on the Product Details form to display the Update License dialog box.

To upgrade a Deltek license, you must:

  • Purchase an upgrade license.

  • Update the license in the Security Administrator, using the procedure provided below.

To upgrade the software license after receiving the license key:

  1. Click Tools » Update License.

  2. From the Product list on the Update License dialog box, select the appropriate product.

  3. Enter the new license key.

  4. Click Test.

  5. Verify that the correct New User Count is displayed.

  6. Click Update.

  7. Click Close.


access_control_listexample1popupsec

Example 1 Access Control List

In this example, the Project Access Control List contains the following entries:

  • Paul is assigned the Reviewer role.

  • Members of the Engineering group are assigned the Team Member role.


access_control_listsexample2popupsec

Example 2 Access Control Lists

  • The following entries are made in the Project A Access Control List:

  • Members of the Engineering group are given the Team Member role on Project A .

  • Members of the Management group with are given the Reviewer role on Project A.

  • Paul is assigned the Reviewer role on A.

  • The following entry is made in the Project B Access Control List:

  • Members of the Engineering group are given the Project Estimator role on Project B.


access_control_listsexample3popupsec

Example 3 Access Control Lists

  • The following entries are made in the Project C Access Control List:

  • Members of the Project Management group are assigned the Scheduler role on the project.

  • Paul is assigned the Reviewer role on the project.

  • The following entries are made in the ResC Access Control List:

  • Members of the Resource Managers group are assigned the Resource Management role on the resource file.

  • Members of the Project Managers group are assigned the Scheduler role on the resource file.


add_activityroleopenplansec

Add Activity

If this item is enabled, users and group members assigned this role can add new activities to a project.


add_coderoleopenplansec

Add Code

If this item is enabled, users and group members assigned this role can use the Add Code command on the Edit menu and the context menu of the code view to add new codes to a code file.


add_resourceroleopenplansec

Add Resource

If this item is enabled, users and group members assigned this role can use the Add Resource command on the Edit menu and the context menu of the resource view to add new resources to a resource file.


add_update_dialog_box_applysec

Apply

Select this button to update the license key and reset the number of permitted users to the value displayed in the New User Count field.


add_update_dialog_box_descriptionsec

Description

Enter descriptive information relevant to the license. The maximum number of characters for this field is 60. This is not a required field.


add_update_dialog_box_expire_datesec

Expire Date

The date on which the current license becomes invalid.


add_update_dialog_box_license_keysec

License Key

Enter the license key for the selected product. You may either type or paste the license key in this field.


add_update_dialog_box_testsec

Test

Select this button to test the new license key.


add_update_dialog_box_typesec

Type

The kind of license purchased: Concurrent or Named.


add_update_dialog_box_user_countsec

User Count

This field displays the number of users permitted to log into the selected product under the license.


addmenubarpopupsec

Add

This command allows you to add a new entry to the currently selected folder for Users, Groups, or Roles.


adduserprofilepopupsec

Add

Clicking Add displays the Add Group dialog box that allows you to associate a user with a predefined group.


allocationroleopenplansec

Allocation

If this item is enabled, users and group members assigned this role can perform resource allocation in a project even if they do not have Edit Activity rights.


allow_blank_passwordsec

Allow Blank Password

If you select this option, the user will not be required to enter a password in order to log into a supported application.


alternate_manageruserprofilepopupsec

Alternate Manager

This field contains a list of available users from which you can select one as an alternate manager for the user.

WelcomHome uses the entry in this field to identify the person who has secondary responsibility for authorizing changes that the user makes to Open Plan progress information.


available_user_count_cobrasec

Available User Count

Displays the available licenses for Named licensees. The number of available licenses is the difference between the Supported User Count and the number of users assigned to the license key. If you have a Concurrent license rather than a Named license, this field displays "N/A".


available_user_countsec

Available User Count

Displays the available licenses for Named licensees.


baan_erpgroupsopenplansec

Baan ERP

This level of the Open Plan hierarchy controls the permissions that are granted to the group for commands on the Baan ERP menu .

If this item is enabled, all its child items are also enabled by default. However, you can define the permissions for each Baan ERP menu item individually.


baan_ivgroupsopenplansec

Baan IV

This level of the Open Plan hierarchy controls the permissions that are granted to the group for commands on the Baan IV menu .

If this item is enabled, all its child items are also enabled by default. However, you can define the permissions for each Baan IV menu item individually.


backup_file_groupopenplansec

Backup File

If this item is enabled, members of the group can use the Backup File command to back up files.


backup_file_roleopenplansec

Backup File

If this item is enabled, users and group members assigned this role can use the Backup File command back up the selected file.


bar_sets_groupsopenplansec

Bar Sets

This item controls whether members of the group can create and maintain bar sets. If this item is enabled, members of the group can use the Bar Sets dialog box to create, copy, edit, and delete bar sets.

The Bar Sets item is not available in Open Plan Desktop.


baselinesroleopenplansec

Baselines

This level of the Open Plan hierarchy controls the permissions that users and group members assigned this role have relative to baselines. If this item is enabled, users and group members assigned the specified role can use the Baselines command on the Project menu to select a project baseline. In addition, enabling this item also enables all of its child items by default. However, you can define the permissions for each Baseline item individually.

Baselines have owners and Access Control Lists to allow or prevent operations on specific baselines within a project. For more information on Baseline Security, refer to Chapter 16, "Status Information" in the Open Plan User’s Guide.


batch_global_editgroupopenplansec

Batch Global Edit

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to modifying multiple activities or resource records for multiple files using batch global edits. If this item is enabled, members of the group can modify multiple activities, resource descriptions, and resource assignment records for multiple files with a single operation. For Open Plan Professional, enabling this item also enables all of its child items by default. However, you can define the permissions for each submenu item individually.


browser_viewsgroupopenplansec

Browser Views

If this item is enabled, members of the group can manage browser views using the Browser Views command on the Tools menu.


calculated_fields_groupopenplansec

Calculated Fields

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to calculated fields. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each submenu item individually.

Neither the Calculated Fields item nor any of its child items is available in Open Plan Desktop.


change_owner_and_access_controlgroupsopenplansec

Change Owner and Access Control

If this item is enabled, members of the group can use the Change Owner and Access Control command to edit files.


Check_In_/_Check_OutGroupsOpenPlanSec

Check In/Check Out

If this item is enabled, members of the group can use the Check In and Check Out commands to briefcase files.


check_in_check_outroleopenplansec

Check In/Check Out

If this item is enabled, users and group members assigned this role can use the Check In and Check Out commands to briefcase the selected file.


clear_connections_menubarpopupsec

Clear Connections

This feature allows you to manually clear a user from the system. If your system crashes, it may indicate users are still logged on when you attempt to open the application again.


cobra_loginssec

Logins

This section of the Product Details form contains the following:

  • Enable/Disable &emdash; Clicking the appropriate button enables or disables all logins to the product. When Disable has been selected, users who try to log into the product receive a message stating that the system administrator has disabled logins to the data source.

  • Set Login Message &emdash; Clicking this button invokes the Login Message dialog box. You may specify a message that will be displayed automatically whenever a user logs into the product. To display no message, select No Login Message. Expiration Date is used to specify the last date to display a message.


confirm_new_passwordsec

Confirm New Password

Reenter the new password for the selected user in this field.


connect_projectgroupsopenplansec

Connect Project

If this item is enabled, members of the group can use the Connect Project command to connect an Open Plan project to a Baan project.


cost_calculationsroleopenplansec

Cost Calculations

If this item is enabled, users and group members assigned the specified role can use the Cost Calculations command on both the Open Plan toolbar and the Project menu.


create_baselineroleopenplansec

Create Baseline

If this item is enabled, the New and Copy buttons on the Baselines dialog box are enabled, allowing users and group members assigned the specified role to create and copy a project baseline.


create_batch_global_editgroupopenplansec

Create Batch Global Edit

If this item is enabled, the New and Copy buttons on the Batch Global Edit dialog box are enabled, allowing members of the group to create and copy batch global edits.


create_calculated_field_groupopenplansec

Create Calculated Field

If this item is enabled, the New and Copy buttons on the Calculated Fields dialog box are enabled, allowing members of the group to create and copy calculated fields.

The Create Calculated Field item is not available in Open Plan Desktop.


create_data_source

If this item is enabled, the Add button on the Data Sources dialog box is enabled, allowing members of the group to create a data source.


create_email_definition_groupopenplansec

Create Email Definition

If this item is enabled, the New and Copy buttons on the Advisory Definitions dialog box are enabled, allowing members of the group to create and copy advisory definitions.


create_filter_groupopenplansec

Create Filter

If this item is enabled, the New and Copy buttons on the Filters dialog box are enabled, allowing members of the group to create and copy filters.


create_global_edit_groupopenplansec

Create Global Edit

If this item is enabled, the New and Copy buttons on the Global Edits dialog box are enabled, allowing members of the group to create and copy global edits.

The Create Global Edit item is not available in Open Plan Desktop.


create_note_categories_groupopenplansec

Create Note Categories

If this item is enabled, the New button on the Manage Note Categories dialog box is enabled, allowing members of the group to create note categories.

The Create Note Categories item is not available in Open Plan Desktop.


create_rollup_definitionsgroupopenplansec

Create Rollup Definitions

If this item is enabled, the New and Copy buttons on the Rollups dialog box are enabled, allowing members of the group to create and copy rollup definitions.


create_sort_groupopenplansec

Create Sort

If this item is enabled, the New and Copy buttons on the Sorts dialog box are enabled, allowing members of the group to create and copy sorts.


create_user_defined_field_groupopenplansec

Create User Defined Fields

If this item is enabled, the New and Copy buttons on the User Defined Fields dialog box are enabled, allowing members of the group to create and copy user defined fields.

The Create User Defined Field item is not available in Open Plan Desktop.


Customize Add-Ins Toolbar

If this item is enabled, members of the group can use the Customize Add-Ins Toolbar command on the Add-Ins menu to add and remove items from the Add-Ins Toolbar.


object_nameobjectsgeneralpopupsec

Name

Displays the name of the currently open object.


object_typeobjectsgeneralpopupsec

Type

This field displays the type of the currently opened object. The type can be any of the following:

  • Calendars (Displayed for Open Plan only)

  • Codes (Displayed for Open Plan only)

  • Project (Displayed for Open Plan only)

  • Resources (Displayed for Open Plan only)

  • WH Project (Displayed for WelcomHome only)

Note that the Object portion of the Explorer pane is organized according to this list of types.

Initially, the grid is sorted on the User ID column. Re-sort the data by clicking any column heading.


user_idobjectsgeneralpopupsec

User ID

Displays the ID of the user who currently has an object open.


accessed_onobjectdetailspopupsec

Accessed on

This column lists the date on which each user accessed the object.


controlling_modeobjectdetailspopupsec

Controlling Mode

This field displays the most restrictive of the access modes currently in use:

  • Exclusive — While one user has the object open in exclusive mode, other users can access it only in read-only mode.

  • Shared — Any number of users can have the object open in shared mode.

  • Read Only — Any number of users can have the object open in read-only mode.

  • Briefcased — This mode is only available for projects and indicates that a user has checked out the project. While one user has the project checked out, other users can view but not modify the project.

  • Description — This field displays the description of the object.


descriptionobjectdetailspopupsec

Description

This field displays the description of the object.


open_modeobjectdetailspopupsec

Open mode

This column lists the mode in which each user has the object open.


opened_byobjectdetailspopupsec

Opened by

This column lists all the users who currently have the object open.


typeobjectdetailspopupsec

Type

This field displays the type of the currently open object. The type can be any of the following:

  • Calendar (Open Plan only)

  • Code (Open Plan only)

  • Project (Open Plan only)

  • Resource (Open Plan only)

  • WH Project (WelcomHome only)


data_sources_groupsopenplansec

Data Sources

This level of the Open Plan hierarchy controls the permissions that members of the group have relative to data sources. If this item is enabled, members of the group can select a predefined data source to be used for Open Plan. In addition, enabling this item also enables all of its child items by default. However, you can define the permissions for each submenu item individually:


default_rolegroupprofilepopupsec

Default Role

This field contains a list from which you can select any available role. This value is used whenever the group is granted access to a data object.


descriptiongroupprofilepopupsec

Description

This field contains the description of the group. You can enter up to 60 characters in this field, including spaces and special characters.

Enter a descriptive name and sort the data in the Properties: Groups form by this field.


managergroupprofilepopupsec

Manager

This field contains a list of all available users from which you can select a group manager.


removegroupprofilepopupsec

Remove Button

Clicking Remove deletes the selected user from the group.


addgroupprofilepopupsec

Add Button

Clicking Add displays the Add Users dialog box that you can use to add existing users to a group.


descriptionroledetailspopupsec

Description

The description of the role as entered by the system administrator. The maximum number of characters allowed is 60, which allows for a more complete name than the Role ID.

Enter a descriptive name in this field. Then, sort the data in the Properties: Roles form on this field.


obj_desc_roledetailspopupsec

Description

This column displays the descriptions of the objects associated with the role in the access control table.


grouproledetailspopupsec

Group ID

This column displays the groups associated with the role in the access control table.


objectroledetailspopupsec

Object Name

This column displays the names of the objects associated with the role in the access control table.


typeroledetailspopupsec

Type

This column identifies the type of objects associated with the role in the access control table. The type can be any of the following:

  • Project

  • Resources

  • Codes

  • Calendars

  • WH Project


managerrolesdetailspopupsec

Manager

This field contains a list of available users from which you can select a manager for the role. Use of this field is optional.


Alternate Manager

This field contains a list of available users from which you can select one as an alternate manager for the user.

WelcomHome uses the entry in this field to identify the person who has secondary responsibility for authorizing changes that the user makes to Open Plan progress information.


Department

This field contains the name of the department in which the user works. You can enter as many as 60 characters in this field, including spaces and special characters.


Email

This field is optional. It contains the user's email address, which can accommodate up to 60 characters, including spaces and special characters. If an email address is entered, your Deltek application will recognize it for email and paging functions.


First name

This field contains the user's first name. You can enter up to 50 characters in this field.


Last Name

This field contains the user's last name. You can enter up to 50 characters in this field.


Location

This field contains the location where the user works. You can enter as many as 60 characters in this field, including spaces and special characters.


Manager

This field contains the name of the user's manager. The Manager field contains a list of all available users from which you can select a manager.

WelcomHome uses the entry in this field to identify the person with the primary responsibility for authorizing changes the user makes to Open Plan progress information.


Password

Click Password to display the Change Password dialog box, which you use to modify the password for an existing user. You can use up to 128 alphanumeric and special characters.


Primary Role

This field contains a list from which you can select any available role. This value is used whenever the group is granted access to a data object.


comma_delimited_text_filepopupclip

Comma-Delimited Text File

The comma-delimited text file must contain the following fields in this order:

While the text file does not need to include data for all these fields, the comma separators must still be included.


Import users

This option allows you to import user data from Windows Active Directory Services, Microsoft Outlook, or ASCII files to speed up the process of adding users via Security Administrator.

For more information, see Import Users Overview.


Print Options Dialog Box

Use this dialog box to print a list of currently defined users. It has the following options:

  • User ID — Selecting this option sorts the report by user ID.

  • First Name — Selecting this option sorts the report by first name.

  • Last Name — Selecting this option sorts the report by last name.

Location


address_line_1userprofilepopupsec

Address line 1

This field contains the first line of the user's address. You can enter up to 60 characters in this field, including spaces and special characters.


address_line_2userprofilepopupsec

Address line 2

This field contains the second line of the user's address. You can enter up to 60 characters in this field, including spaces and special characters.


cityuserprofilepopupsec

City

This field contains the city in which the user is located. You can enter up to 20 characters in this field, including spaces and special characters.


countryuserprofilepopupsec

Country

This field contains the country in which the user is located. You can enter up to 20 characters in this field, including spaces and special characters.


faxuserprofilepopupsec

Fax

This field contains the user's fax number. You can enter up to 20 characters in this field, including spaces and special characters.


phoneuserprofilepopupsec

Phone

This field contains the user's phone number. You can enter up to 20 characters in this field, including spaces and special characters.


postal_codeuserprofilepopupsec

Postal Code

This field contains the postal code for the user's address. You can enter up to 20 characters in this field, including spaces and special characters.


stateuserprofilepopupsec

State

This field contains the state in which the user is located. You can enter up to 20 characters in this field, including spaces and special characters.


Date

Displays the date and time the selected user opened the object.


Mode

Displays the mode in which the selected user has each object open:

  • Read Only — The object can be read by more than one user but not changed by the selected user.

  • Shared — The object can be shared by more than one user.

  • Exclusive — The object cannot be opened in other than read-only mode by any user, except the user with exclusive rights.


Object Name

Displays the name of each object the selected user currently has open.


Object Type

Displays the type of each object the selected user currently has opened.


define_work_hoursroleopenplansec

Define Work Hours

If this item is enabled, users and group members assigned this role can use the Define Work Hours command to define the working hours of a selected date on a calendar.


define_work_weekroleopenplansec

Define Work Week

If this item is enabled, users and group members assigned this role can use the Define Work Week command to define a default work week for a calendar.


Define Group Profiles Overview

Groups are composed of individual users who are assigned to data objects such as projects within the applications. Groups usually represent major programs or projects within an organization, or functional groups such as the project management office. Users can have different roles within a group. For example, if JDOE belongs to the ENGINEERING group, and that group has the rights to create projects, JDOE can create a project.

A user must belong to at least one group in order to log in to a supported application.

In some applications, there are application-level items that are not data objects. You assign security access for these items via groups. Some applications, such as Open Plan, let you control access to high-level menu items such as Restore and File Import, through groups. The role to which you assign the group determines what that group's constituent users can do with the menu options. Thus you can enable or disable access to some application features based on groups with multiple users, rather than a single role. For example, in Open Plan, if you need to grant someone temporary access to additional functionality, you can add them to another group.

Specialty Groups

There are two specialty groups:

  • SYSADMIN — The SYSADMIN group is a special group. Users in the SYSADMIN group have full access rights to the application (including the security administrator) and can grant access control for objects.

  • WORLD — The WORLD group provides a method to specify that everyone has read access or everyone has a particular role. Everyone is automatically part of the WORLD group.

More Information

For more information, see the following topics:

Add a New Group

Copy a Group

Assign a User to a Group

Define Permissions for a Group

Properties: Groups Form

Group Details Form

Add Users Dialog Box

Copy Group Dialog Box


delete_activityroleopenplansec

Delete Activity

If this item is enabled, users and group members assigned this role can delete an existing activity..


delete_baselineroleopenplansec

Delete Baseline

If this item is enabled, the Delete button on the Baselines dialog box is enabled, allowing users and group members assigned the specified role to delete a project baseline.


delete_batch_global_editgroupopenplansec

Delete Batch Global Edit

If this item is enabled, the Delete button on the Batch Global Edit dialog box is enabled, allowing members of the group to delete existing batch global edits.


delete_calculated_field_groupopenplansec

Delete Calculated Field

If this item is enabled, the Delete button on the Calculated Fields dialog box is enabled, allowing members of the group to delete existing calculated fields.

The Delete Calculated Field item is not available in Open Plan Desktop.


delete_coderoleopenplansec

Delete Code

If this item is enabled, users and group members assigned this role can use the Delete Code command on the Edit menu and the context menu of the code view to delete an existing code in a code file.


delete_data_source

If this item is enabled, the Delete button on the Data Sources dialog box is enabled, allowing members of the group to delete a data source.


delete_email_definition_groupopenplansec

Delete Email Definition

If this item is enabled, the Delete button on the Advisory Definitions dialog box is enabled, allowing members of the group to delete existing advisory definitions.


delete_file_groupopenplansec

Delete File

If this item is enabled, members of the group can use the Delete File command to delete files


delete_file_roleopenplansec

Delete File

If this item is enabled, users and group members assigned this role can use the Select File to Delete dialog box to delete the selected file.


delete_filter_groupopenplansec

Delete Filter

If this item is enabled, the Delete button on the Filters dialog box is enabled, allowing members of the group to delete existing filters.


delete_global_edit_groupopenplansec

Delete Global Edit

If this item is enabled, the Delete button on the Global Edits dialog box is enabled, allowing members of the group to delete existing global edits.

The Delete Global Edit item is not available in Open Plan Desktop.


delete_note_categories_groupopenplansec

Delete Note Categories

If this item is enabled, the Delete button on the Manage Note Categories dialog box is enabled, allowing members of the group to delete note categories.

The Delete Note Categories item is not available in Open Plan Desktop.


delete_resourceroleopenplansec

Delete Resource

If this item is enabled, users and group members assigned this role can use the Delete Resource command on the Edit menu and the context menu of the resource view to delete an existing resource from a resource file.


delete_rollup_definitionsgroupopenplansec

Delete Rollup Definitions

If this item is enabled, the Delete button on the Rollups dialog box is enabled, allowing members of the group to delete rollup definitions.


delete_sort_groupopenplansec

Delete Sort

If this item is enabled, the Delete button on the Sorts dialog box is enabled, allowing members of the group to delete existing sorts.


delete_user_defined_field_groupopenplansec

Delete User Defined Fields

If this item is enabled, the Delete button on the User Defined Fields dialog box is enabled, allowing members of the group to delete existing user defined fields.

The Delete User Defined Field item is not available in Open Plan Desktop.


deletemenubarpopupsec

Delete

This command deletes the selected user, group, or role. Before deleting the item, the Security Administrator asks you to confirm the deletion. The manner in which the Security Administrator responds to the Delete command depends on the object to be deleted:

  • Users &emdash; Users can be deleted only if they are not currently logged into an application.

  • Groups &emdash;Groups can be deleted. However, a warning is issued if the group has any user members or is given rights in an Access Control List (ACL).

  • Roles &emdash; Roles can be deleted. However, a warning is issued if the role to be deleted is assigned to any group in an ACL. If you choose to ignore this warning and continue to delete the role, the affected entry in the ACL is also removed.


departmentuserprofilepopupsec

Department

This field contains the name of the department in which the user works. You can enter as many as 60 characters in this field, including spaces and special characters.


disconnect_projectgroupsopenplansec

Disconnect Project

If this item is enabled, members of the group can use the Disconnect Project command to disconnect an Open Plan project from a Baan project.


displaying_the_add_group_dialog_boxsec

To display the Add Group dialog box, click Add on the Groups tab of the User Details form.


displaying_the_add_product_dialog_boxsec

To display the Add Product dialog box, follow these steps:

  1. From the Users folder, select a user.

  2. From the User Details form, click the Products tab.

  3. Click the Add button.


displaying_the_add_update_license_dialog_boxsec

To display the Add/Update License dialog box, take one of the following actions:

  • If the Products, Users, Groups, Roles, or Objects folder is selected, click Update License on the Tools menu.

  • If a product is selected in the Products folder, click the Update License button in the Product Details pane.


displaying_the_add_users_dialog_boxsec

To display the Add Users dialog box, click Add on the General tab of the Group Details form.


displaying_the_assign_product_users_dialog_boxsec

To display the Assign Product Users dialog box, follow these steps:

  1. From the Products folder, select a product.

  2. On the Product Details pane, click Assign Users.


displaying_the_assign_user_license_dialog_boxsec

To display the Add User License dialog box, select an application from the list of products in the Explorer pane. Click the Assign Users button on the Module Details form.


displaying_the_clear_connections_dialog_boxsec

To display the Clear Connections dialog box, select Clear Connections from the Tools menu.


displaying_the_copy_group_dialog_boxsec

To display the Copy Group dialog box, follow these steps:

  1. In the Explorer pane, expand the Groups folder.

  2. Right-click an existing group, and click Copy on the context menu.


displaying_the_copy_role_dialog_boxsec

To display the Copy Role dialog box, select the Roles folder from the Explorer pane, and right-click an existing role.


displaying_the_data_sources_dialog_boxsec

To display the Data Sources dialog box, click Change data source on the Tools menu.


displaying_the_edit_data_sources_dialog_boxsec

To display the Edit Data Source dialog box, follow these steps:

  1. On the Tools menu, click Change data source.

  2. From the Data Sources dialog box, select a data source, and click Edit.


displaying_the_get_user_properties_from_adsi_dialog_boxsec

To display the Get User Properties from ADSI dialog box, follow these steps:

  1. Point to Import users on the System menu and click From Active Directory Services.

  2. On the Security Administrator Server Name dialog box that is displayed, enter the name of the server containing the user records.

  3. Click OK.


displaying_the_get_user_properties_from_outlook_dialog_boxsec

To display the Get User Properties from Outlook dialog box, point to Import users on the System menu, and click From Outlook Contacts.


displaying_the_group_details_formsec

To display the Group Details form, take one of the following actions:

  • From the list of groups in the Explorer pane, select a group.

  • Double-click a group in the grid on the Properties: Groups form.


displaying_the_import_users_from_ascii_dialog_boxsec

To display the Import Users from ASCII dialog box, point to Import users on the System menu and click From ASCII File.


displaying_the_login_message_dialog_boxsec

To display the Login Message dialog box, follow these steps:

  1. From the Products folder, select a product.

  2. On the Product Details pane, click Login Message.


displaying_the_manage_licenses_dialog_boxsec

To display the Manage Licenses dialog box, select an application from the list of products in the Explorer pane. Click the Manage Licenses button on the Module Details form.


displaying_the_module_details_formsec

To display the Module Details form, select an application from the list of products in the Explorer pane.


displaying_the_object_details_formsec

To display the Object Details form, select an object from the Explorer pane.


displaying_the_options_general_formsec

The Options General form is displayed automatically when you log on to the Security Administrator. You can also display this form by selecting the DSN node in the Explorer pane.


displaying_the_print_option_dialog_boxsec

To display the Print Option dialog box, click Print user list on the System menu.


displaying_the_product_details_formsec

To display the Product Details form, select a product from the list of products in the Explorer pane.


displaying_the_properties_groups_formsec

To display the Properties: Groups form, select the Groups folder from the Explorer pane.


displaying_the_properties_objects_formsec

To display the Properties: Objects form, select Objects from the Explorer pane.


displaying_the_properties_products_formsec

To display the Properties: Products form, select Products from the Explorer pane.


displaying_the_properties_roles_formsec

To display the Properties: Roles form select Roles from the Explorer pane.


displaying_the_properties_users_formsec

To display the Properties: Users form, select the Users folder in the Explorer pane.


displaying_the_records_to_clear_dialog_box

To display the Records to Clear dialog box, click the View License Exceptions button on the Product Details menu. Click the Clear Records button.


displaying_the_records_to_clear_dialog_boxsec

To display the Records to Clear dialog box, click Clear Records on the View License Exceptions dialog box.


displaying_the_role_details_formsec

To display the Role Details form, take one of the following actions:

  • From the list of roles in the Explorer pane, select a role.

  • Double-click a role in the grid of the Properties: Roles form.


displaying_the_security_administrator_login_dialog_boxsec

To display the Security Administrator Login dialog box, select Security Administrator from the Deltek Applications group.


displaying_the_security_administrator_server_name_dialog_box

To display the Security Administrator Server Name dialog box, point to Import users on the System menu, and click From Active Directory Services.


displaying_the_send_message_dialog_boxsec

To display the Send Message dialog box, follow these steps:

  1. From the Products folder, select a product.

  2. From the Users section of the Product Details pane, select the recipient(s) for the message.

  3. Click Send Message.


displaying_the_update_license_dialog_boxsec

To display the Update License dialog box, take one of the following actions:

  • If the Products, Users, Groups, Roles, or Objects folder is selected, click Update License on the Tools menu.

  • If a product is selected in the Products folder, click the Update License button in the Product Details pane.


displaying_the_user_details_formsec

To display the User Details form, take one of the following actions:

  • Select a user from the list of users in the Explorer pane.

  • Double-click a user in the grid of the Properties: Users form.


displaying_the_using_the_change_password_dialog_boxsec

To display the Change Password dialog box, follow these steps:

  1. From the Explorer pane select the user whose password you want to change.

  2. On the General tab of the Properties: User pane, click Password.


displaying_the_view_license_exceptions_dialog_boxsec

To display the View License Exception dialog box, click the View License Exceptions button on the Product Details menu.


Sample Topic

Type topic text here...

Styles

heading1 above - topic heading

Normal text

Indented text

heading2

heading3

heading4

heading5
heading6

  • BlueBullet

  • DeltekBullet - 2nd level bullet

  • ArrowBullet - 3rd level bullet

  • GrayBullet

text text text

use for Screen Location drop-downs in CP

Drop Down

Expanded Text

Popup

Text Only Popup

How?

How? - Create a How? popup for additional procedures within a step or procedure. Click Insert, Popup, and create an auto-sizing popup. Then highlight "How?" and change the color to Deltek Orange.

Related Topics/Related Procedures

Related Information

Use this labels a Heading 7. List links. No bullets.

Screen Location

Screen Location

Use GrayBullet style within drop down. Use back indent button to align the bullets to the left within the drop-downs.

Subtasks

Copy and use a table as follows.

Subtask | Description
Tax ID/Ref/Vendor | Select this button to open the Tax ID/Ref No/Vendor Info subtask for the current record.

  • Table Information

  • FAQs


Some Common Icons

Costpoint icons are located at \\Hq1fsprd1vs\documentation\CostpointOnlineHelp\CostpointOnlineHelpGraphics.

Icon | Description
 | binoculars
 | cancel
 | small delete
 | execute
 | preview
 | print
 | find
 | process
 | query
 | save
 | process/print
 | subquery
 | new line


Table Topic

Copy and paste these tables as needed. Use the styles TableHeading, TableItem, and TableText for all text in tables. You can resize columns and table width as the data mandates.

Standard Table:

Item | Description
Item | Description
Item | Description

Checklist Table:

Step | Description
1 | Description
2 | Description
3 |

Subtask Table:

Subtask | Description
Subtask Name | Select this button to open the Sample Topic subtask for the current record.
Subtask Name | Select this button to open the Sample Topic subtask for the current record.


edit_activityroleopenplansec

Edit Activity

If this item is enabled, users and group members assigned this role can edit an existing activity including adding relationships and resource assignments.


edit_baseline_spreadsheetsroleopenplansec

Edit Baseline Spreadsheets

If this item is enabled, users can change the baseline in a spreadsheet view.


edit_batch_global_editgroupopenplansec

Edit Batch Global Edit

If this item is enabled, the Edit button on the Batch Global Edit dialog box is enabled, allowing members of the group to edit existing batch global edits.


edit_calculated_field_groupopenplansec

Edit Calculated Field

If this item is enabled, the Edit button on the Calculated Fields dialog box is enabled, allowing members of the group to edit existing calculated fields.

The Edit Calculated Field item is not available in Open Plan Desktop.


edit_coderoleopenplansec

Edit Code

If this item is enabled, users and group members assigned this role can use the Edit Code command on the Edit menu and the context menu of the code view to edit an existing code in a code file.


edit_data_source

If this item is enabled, the Edit button on the Data Sources dialog box is enabled, allowing members of the group to edit a data source.


edit_email_definition_groupopenplansec

Edit Email Definition

If this item is enabled, the Edit button on the Advisory Definitions dialog box is enabled, allowing members of the group to edit existing advisory definitions.


edit_filter_groupopenplansec

Edit Filter

If this item is enabled, the Edit button on the Filters dialog box is enabled, allowing members of the group to edit existing filters


edit_global_edit_groupopenplansec

Edit Global Edit

If this item is enabled, the Edit button on the Global Edits dialog box is enabled, allowing members of the group to edit existing global edits.

The Edit Global Edit item is not available in Open Plan Desktop.


edit_note_categories_groupopenplansec

Edit Note Categories

If this item is enabled, the Edit button on the Manage Note Categories dialog box is enabled, allowing members of the group to edit note categories.

The Edit Note Categories item is not available in Open Plan Desktop.


edit_resourceroleopenplansec

Edit Resource

If this item is enabled, users and group members assigned this role can use the Edit Resource command on the Edit menu and the context menu of the resource view to edit an existing resource in a resource file.


edit_rollup_definitionsgroupopenplansec

Edit Rollup Definitions

If this item is enabled, the Edit button on the Rollups dialog box is enabled, allowing members of the group to edit rollup definitions.


edit_sort_groupopenplansec

Edit Sort

If this item is enabled, the Edit button on the Sorts dialog box is enabled, allowing members of the group to edit existing sorts.


Edit Time-Phased Baseline

If this item is enabled, members of a role can update baseline activity dates and time-phased baseline resource usage data using the Time Phase grid on the Resource tab of the Activity Details dialog box.


edit_user_defined_field_groupopenplansec

Edit User Defined Fields

If this item is enabled, the Edit button on the User Defined Fields dialog box is enabled, allowing members of the group to edit existing user defined fields.

The Edit User Defined Field item is not available in Open Plan Desktop.


editroleopenplansec

Edit

This level of the Open Plan hierarchy controls the permissions that users and group members assigned the specified role have relative to editing data objects. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each Edit menu item individually.


email_advisor_groupopenplansec

Email Advisor

This level of the Open Plan hierarchy controls the permissions that are granted to the group for managing email advisory definitions. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each submenu item individually


email_advisor_roleopenplansec

Email Advisor

If this item is enabled, users and group members assigned the specified role can use the Email Advisory command on the Tools menu.


emailuserprofilepopupsec

Email

This field contains the user's email address. You can enter up to 60 characters in this field, including spaces and special characters. (Use of this field is optional.) If an email address is entered, your Deltek application will recognize it for email and paging functions.


exitmenubarpopupsec

Exit

This item exits the Security Administrator. Before closing, the Security Administrator asks you to confirm the action.


expire_datesec

Expire Date

If the license key contains an expiration date, the date displays here. If there is no expiration date in the license key, then None displays here.


export_crosstable_dataopenplansec

Export Crosstable Data

If this item is enabled, users and group members assigned this role can use the Export Crosstable Data command.


export_general_roleopenplansec

Export General

If this item is enabled, users and group members assigned this role can use the Export General command.


export_msp_file_roleopenplansec

Export MSP File

If this item is enabled, users and group members assigned this role can use the Export MSP File command to export a file to Microsoft Project.


export_roleopenplansec

Export

This level of the Open Plan hierarchy controls whether users and group members assigned the specified role can export the selected Open Plan file to other file types. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each submenu item individually.


extensionsgroupopenplansec

Extensions

If this item is enabled, members of the group can use the Manage Open Plan Extensions dialog box to add and remove registered extensions from the database.


file_popupgroupopenplansec

File

This level of the Open Plan hierarchy controls the permissions that are granted to the group for files. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each File menu item individually.


file_popuproleopenplansec

File

This level of the Open Plan hierarchy controls the permissions that users and group members assigned the specified role have relative to project, calendar, code, and resource files. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each File menu item individually.


fill_column_downroleopenplansec

Fill Column Down

If this item is enabled, users and group members assigned this role can use the Fill Column Down command on the Edit and context menus.


filters_groupopenplansec

Filters

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to filters. If this item is enabled, members of the group can select a filter on the Filters dialog box. In addition, enabling this item also enables all of its child items by default. However, you can define the permissions for each submenu item individually.


findbuttonpopupsec

Find Button

Clicking Find displays the Find dialog box that allows you to specify a record to be located. If a column is not selected, the Security Administrator searches the first column in the grid.

To find an entry using information available in another column, you must click in that column before clicking Find.


first_nameuserprofilepopupsec

First name

This field contains the user's first name. You can enter up to 50 characters in this field.


global_edit_groupopenplansec

Global Edit

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to modifying multiple activities or resource records using global edits. If this item is enabled, members of the group can modify multiple activities, resource descriptions, and resource assignment records with a single operation. For Open Plan Professional, enabling this item also enables all of its child items by default. However, you can define the permissions for each submenu item individually.


group_deletegroupopenplansec

Group Delete

If this item is enabled, members of the group can use the Group Delete command to delete a group of data records in an open project that share a common characteristic.


groupsexample1popupsec

Example 1 Groups

  • Client &emdash; While both Brian and Paul are members of the Client group, only Paul is to be given access rights to the project. He will be given access rights as an individual user.

  • Engineering &emdash; Mary and Fred are members of the Engineering group. They will be given access rights as members of the group.


groupsexample2popupsec

Example 2 Groups

  • Management&emdash; Bob and Mary are members of the Management group.

  • Engineering &emdash; Mary and Fred are members of the Engineering group. (Notice that Mary is a member of two groups.)

  • Client &emdash; While both Brian and Paul are members of the Client group, only Paul is to be given access rights to the project. He will be given access rights as an individual user.


groupsexample3popupsec

Example 3 Groups

  • Project Managers &emdash; Meg and Lew are members of the Project Management group.

  • Resource Managers &emdash; Carl and Jim are members of the Resource Managers group.

  • Client &emdash; While both Brian and Paul are members of the Client group, only Paul is to be given access rights to the project. He will be given access rights as an individual user.


groupspopupsec

Groups

Groups are composed of individual users and provide a convenient way of assigning multiple users rights to a supported application at one time. While groups are frequently functional entities within the organization, this is not necessarily the case and a user may be a member of any number of groups.

Rights that are assigned to a group define what members of the group can do within the application. For example, if JDOE belongs to the ENGINEERING group and that group has the rights needed to create projects, JDOE can create a project.

A user must belong to at least one group in order to log into a supported application.


import_general_groupsopenplansec

Import General

If this item is enabled, members of the group can use the Import General command.


import_general_roleopenplansec

Import General

If this item is enabled, users and group members assigned this role can use the Import General command.


import_groupsopenplansec

Import

This level of the Open Plan hierarchy controls the permissions that are granted to the group for importing external files. If this item is enabled, the Import MSP File, Import P3 File, and Import General submenu items are also enabled by default. However, you can define the permissions for each submenu item individually.


import_msp_file_groupsopenplansec

Import MSP File

If this item is enabled, members of the group can use the Import MSP File command to import Microsoft Project 98, 2000 and 2002 files.


import_msp_file_roleopenplansec

Import MSP File

If this item is enabled, users and group members assigned this role can use the Import MSP File command to import Microsoft Project 98, 2000, and 2002 files.


import_p3_file_groupsopenplansec

Import P3 File

If this item is enabled, members of the group can use the Import P3 File command to import Primavera Project Plan files.


import_p3_file_roleopenplansec

Import P3 File

If this item is enabled, users and group members assigned this role can use the Import P3 File command to import Primavera Project Plan files.


import_roleopenplansec

Import

This level of the Open Plan hierarchy controls whether users and group members assigned the specified role can import external files into the selected object. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each submenu item individually.

Items on the Import section of the hierarchy do not respect table-level security. For example, if a user does not have the rights to add activities but does have rights to import, the import utility will add the activities. It is important to note also that the owner of a file or member of the SYSADMIN group can disable import into an existing project by setting the Read Only flag on the project’s ACL.


last_nameuserprofilepopupsec

Last name

This field contains the user's last name. You can enter up to 50 characters in this field.


license_type_cobrasec

License Type

Displays the type of license. There are two types of licenses:

  • Concurrent &emdash; Where a number of licenses is purchased for use by any individual at the licensee. As long as the maximum number of users is not exceeded, any user may use the application at the same time.

  • Named &emdash; Where a license is purchased for each individual’s exclusive use.


license_typesec

License Type

Three license types are currently available:

  • Full — Allows access to all rights and privileges.

  • Team Member — Allows access to view and edit projects, but not to add or delete a project, or view analysis tools.

  • Evaluation — Allows full privileges with an automatic termination date.


licensesec

License

This section of the Product Details form displays the number of licensed users of the product and the number of users currently logged into the product. The following buttons are available:

  • View License Exceptions — Clicking this button displays the View License Exceptions dialog box, which you can use to review and maintain the list of license exceptions.

    • If the user license limit is exceeded, the following error message displays when a new user attempts to log in:

The number of users specified by the <Product> license has been exceeded. Contact your system administrator for assistance.

    • If there are no license exceptions, a dialog box displays with the message "No license exceptions".

  • Manage Licenses — Clicking this button displays the Update License dialog box that is used to add or update Deltek licenses.

  • Assign Users — Clicking this button displays the Assign Product Users dialog box that is used to add or remove a user from the product. Users must be assigned to a product before they can log in and use the product.


locationuserprofilepopupsec

Location

This field contains the location where the user works. You can enter as many as 60 characters in this field, including spaces and special characters.


loginssec

Logins

This section of the Product Details form contains the following fields:

  • Disable Logins/Enable Logins &emdash; This button toggles between Disable Logins and Enable Logins. Click Disable Logins to disable all logins to the product. When users try to log into the product, they receive a message stating that the system administrator has disabled logins to the data source. Click Enable Logins to enable user logins.

  • Login Message &emdash; Clicking this button invokes the Login Message dialog box. You may specify a message that displays automatically whenever a user logs into the product. To display no message, select No Login Message. Use the Expiration Date field to specify the last date to display a message.


manage_calendarsroleopenplansec

Manage Calendars

If this item is enabled, users and group members assigned this role can use the Manage Calendars dialog box to create, copy, rename, or delete a calendar stored in a calendar file.


manage_files_groupsopenplansed

Manage Files

This level of the Open Plan hierarchy controls the permissions that are granted to the group for managing files. If this item is enabled, the Backup File, Restore File, Delete File, and Check In/Check Out submenu items are also enabled by default. However, you can define the permissions for each submenu item individually.


manage_files_roleopenplansed

Manage Files

This level of the Open Plan hierarchy controls the permissions that users and group members assigned the specified role have relative to managing files. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each submenu item individually.


manage_holidaysroleopenplansec

Manage Holidays

If this item is enabled, users and group members assigned this role can use the Manage Holidays command to define holidays for each calendar stored in a calendar file.


manage_licenses_addsec

Add

Clicking this button displays the Add/Update License dialog box which allows users to add or update a license key.


manage_licenses_closesec

Close

Select this button to close the dialog box without saving changes.


manage_licenses_deletesec

Delete

By default, this button is disabled. When an existing license key is selected, the button is enabled. The Delete button is used to delete the currently-selected license key.


manage_licenses_descriptionsec

Description

Displays the description of the license key entered on the Add/Update License dialog box.


manage_licenses_helpsec

Help

Select this button to display Help about this dialog box.


manage_licenses_updatesec

Update

By default, this button is disabled. When an existing license key is selected, the button is enabled. Update is used to invoke the Add/Update License dialog box.


Assign Users

Clicking this button displays the Assign Product Users dialog box that is used to add or remove a user from the product.

For more information, see Assign a Users to a Product.


Licenses

This section displays the number of licensed users of the product and the number of users currently logged into the product.

The following buttons are available:

    • View License Exceptions

    • Manage Licenses

    • Assign Users


Logins

This section contains the following fields:

  • Disable Logins/Enable Logins — This button toggles between Disable Logins and Enable Logins. Click Disable Logins to disable all logins to the product. When users try to log into the product, they receive a message stating that the system administrator has disabled logins to the data source. Click Enable Logins to enable user logins.

  • Login Message — Clicking this button invokes the Login Message dialog box. You may specify a message that displays automatically whenever a user logs into the product. To display no message, select No Login Message. Use the Expiration Date field to specify the last date to display a message.


Manage Licenses

Use the Manage Licenses button of the Product Details form to see information about the existing license keys, and to add or update licenses. Clicking this button displays the Update License dialog box.

When you add or update a license, the user receives a new license key. This new license key specifies the number of users who may be logged in to the program at one time.


Users

This section lists the User ID and Machine ID for each user currently logged into the product. It also has the following two buttons:

  • Send Message — Selecting a user from the list and clicking this button displays the Send Message dialog box that you can use to compose and send a message to the user. The user receives the message as a pop-up window indicating who sent the message and when it was sent.

  • Terminate Session — Selecting a user from the list and clicking this button remotely terminates the user’s session in the product. Any unsaved data is lost when the program is terminated in this fashion. The user receives a warning the system administrator has terminated the session and the program will automatically close in 10 seconds. The user has the option to wait the 10 seconds for the program to close by itself or click OK to hasten the shutdown.

Selecting the All Users option, and clicking one of the buttons performs that operation for all of the logged-in users.


View License Exceptions

Clicking this button displays the View License Exceptions dialog box, which allows you to review and maintain the list of license exceptions.


Records to Clear Dialog Box

Use the Records to Clear dialog box to remove any records that you no longer need from the exception log. You can clear all records in the log or clear only records recorded before a specific date.

The dialog box contains the following options:

  • Product

  • Clear All

  • Clear Before

Click the Clear button to remove the specified records.

Location


Clear All

Select this option to instruct the Security Administrator to remove from the exception log all records for the selected product.


Clear Before

Use this option to exercise more control over the records to be cleared from the exception log. Select this option and then enter a date in the Date field to instruct the Security Administrator to remove all records in the exception log that were generated for the selected product before the specified date. Click the Ellipsis at the right edge of the date field to display a calendar that you can use to select a date.


Products

This field contains a list of the products in the exception log.


Manage Project Template

If this item is enabled, members of the group can create and delete Project Templates.


manage_skillsroleopenplansec

Manage Skills

If this item is enabled, users and group members assigned the specified role can use the Manage Skills command on the Tools menu to create, edit, and delete skills that can be assigned to resources.


manageruserprofilepopupsec

Manager

This field contains the name of the user's manager. The Manager field contains a list of all available users from which you can select a manager.

WelcomHome uses the entry in this field to identify the person with the primary responsibility for authorizing changes the user makes to Open Plan progress information.


new_groupsopenplansec

New

If this item is enabled, members of the group can use the New File dialog box and the New File Wizard to create new files such as projects, calendars, resources, and codes.


new_passwordsec

New Password

Enter the new password for the selected user in this field. A password can contain a maximum of 128 alphanumeric and special characters.

You can only set a blank password if you set the minimum password length to zero (0).


note_categories_groupopenplansec

Note Categories

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to creating, editing, and deleting Note Categories. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each submenu item individually:

Neither the Note Categories item nor any of its child items is available in Open Plan Desktop.


options_groupsopenplansec

Options

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to managing system options and preferences. If this item is enabled, members of the group can set system defaults using the Options tabbed dialog box. In addition, enabling this item also enables the Symbols and Extensions items by default:


password_minimum_length_sec

Password

Use this section to set a minimum length for new login passwords. Use the control to increase or decrease the value or type a numeric value from 0 – 30. When the password length is set to zero, a blank password is allowed. The default length is eight characters.


passworduserprofilepopupsec

Password

Click Password to display the Change Password dialog box, which you use to change the password for an existing user. A password can have a maximum of 8 characters.


progress_calculationsroleopenplansec

Progress Calculations

If this item is enabled, users and group members assigned the specified role can perform progress calculations on a project by using the Progress Calculations command on both the Open Plan toolbar and the Project menu.


progressroleopenplansec

Progress

If this item is enabled, users and group members assigned this role can enter progress information on the data object even if they do not have Edit Activity rights.


projectroleopenplansec

Project

This level of the Open Plan hierarchy controls the permissions that users and group members assigned the specified role have relative to project calculations. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each File menu item individually.


removeuserprofilepopupsec

Remove

Clicking Remove deletes the selected group from the list and removes the user from that group.


reporting_calendars_groupsopenplansec

Reporting Calendars

If this item is enabled, members of the group can use the Manage Reporting Calendars dialog box to create, copy, edit, and delete a reporting calendar.

The Reporting Calendars item is not available in Open Plan Desktop.


resource_schedulingroleopenplansec

Resource Scheduling

If this item is enabled, users and group members assigned the specified role can perform resource scheduling on a project by using the Resource Scheduling command on both the Open Plan toolbar and the Project menu.


restore_file_groupopenplansec

Restore File

If this item is enabled, members of the group can use the Restore File command to restore previously backed-up files.


restore_file_roleopenplansec

Restore File

If this item is enabled, users and group members assigned this role can use the Restore File command to restore previously backed-up copies of the selected file.


risk_analysisroleopenplansec

Risk Analysis

If this item is enabled, users and group members assigned the specified role can perform risk analysis on a project by using the Risk Analysis command on both the Open Plan toolbar and the Project menu.

The Risk Analysis item is not available in Open Plan Desktop.


rolesexample1popupsec

Example 1 Roles

  • Team Member &emdash; This role allows users (and groups of users) to enter project status information and generate reports.

  • Reviewer &emdash; This role allows users (and groups of users) to check that progress meets their goals.


rolesexample2popupsec

Example 2 Roles

  • Team Member &emdash; This role allows users (and groups of users) to enter project status information and generate reports.

  • Reviewer &emdash; This role allows users (and groups of users) to check that progress meets their goals.

  • Project Estimator &emdash; This role allows users (and groups of users) to estimate project costs and duration.


rolesexample3popupsec

Example 3 Roles

  • Project Management &emdash; This role allows users (and groups of users) to assign resources to activities, and perform all project calculations.

  • Reviewer &emdash; Users and groups with this role are tasked with checking that progress meets client goals.

  • Scheduler &emdash; This role provides users (and groups of users) with read only rights to resource files so that they can view such resource attributes as availabilities, costs, and skills.

  • Resource Management &emdash; This role provides users (and groups of users) with full rights to the resource files. They can create and delete these files and modify the records they contain.


rollup_definitionsgroupopenplansec

Rollup Definitions

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to perform a rollup of selected numeric and date fields for Activities, Resources, and Codes.

If this item is enabled, members of the group can manage rollup definistions using the Rollups dialog box. For Open Plan Professional, enabling this item also enables all of its child items by default. However, you can define the permissions for each submenu item individually.


save_baselinegroupsopenplansec

Save Baseline

If this item is enabled, members of the group can use the Save Baseline command to add a new linked baseline to Baan or break an existing link.


save_roleopenplansec

Save

If this item is enabled, users and group members assigned the specified role can use the Save command on both the Open Plan toolbar and the File menu to save a modified file.


save_view_groupsopenplansec

Save View

If this item is enabled, members of the group can use the Save current view as&ldots; dialog box to save a view and copy the view by saving it with a new name.


save_view_roleopenplansec

Save View

If this item is enabled, users and group members assigned the specified role can use the Save View command on the File menu to save their modifications to a view.


Print Options Dialog Box

The Print Options dialog box allows you to print a list of currently defined users sorted on one of the following fields:

  • User ID — Sort the report by user ID.

  • First Name — Sort the report by first name.

  • Last Name — Sort the report by last name.

This dialog box also contains the following buttons:

  • OK

  • Cancel

Location


About

This command displays the About dialog box that you can use to view the following information:

  • Version — The version number of your copy of the Security Administrator.

  • Current User — Your User ID.

  • Number of Users — The total number of currently defined users in the active data source.

  • Number of Groups — The total number of currently defined groups in the active data source.

  • Number of Roles — The total number of currently defined roles in the active data source.

  • Number of Locks — The total number of locked data objects in the active data source.

  • Copyright — The Security Administrator copyright information.


Add

This option allows you to add a new entry to the currently selected folder for Users, Groups, or Roles.


Change data source

This options allows you to change the active data source. When you select this option, the Security Administrator displays the Data Sources dialog box that you can use to select a different data source from a list of those that have been configured. This dialog box also provides options that allow you to add a new data source to the list, and to edit or delete one that is currently listed.


Contents

This option displays the Table of Contents for this Help system.


Copy

Depending on what is selected when you click Copy, this option displays either the Copy Group or Copy Role dialog box. You can use the Copy command to create a new group or role as a copy of one that is selected


Delete

This option deletes the selected user, group, or role. Before deleting the item, the Security Administrator asks you to confirm the deletion. The manner in which the Security Administrator responds to the Delete command depends on the object to be deleted:

  • Users — Users can be deleted only if they are not currently logged into an application.

  • Groups — Groups can be deleted. However, a warning is issued if the group has any user members or is given rights in an Access Control List (ACL).

  • Roles — Roles can be deleted. However, a warning is issued if the role to be deleted is assigned to any group in an ACL. If you choose to ignore this warning and continue to delete the role, the affected entry in the ACL is also removed.


Exit

This options closes the Security Administrator. Before closing, the Security Administrator prompts you to confirm the action.


Find

This command displays the Find dialog box that allows you to search for a User ID, Group ID, or Role ID in all folders of the Explorer pane hierarchy. You can also use this command to find an entry in any of the Properties forms by selecting a column on the form before issuing the Find command.

The Find command supports the asterisk (*) wildcard. For example, you can search Dev* or *pment to locate "DEVELOPMENT".)

For more information, see Find Command.


Password Rules

This option displays the Password Rules dialog box, which allows you to set a minimum password length.

For more information, see Set a Minimum Length for a New Login Password.


Print user list

This option allows you to open the Print Options dialog box, which is used to print a list of currently defined users.

For more information, see Print a User List.


Update License

This options displays the Update License dialog box. Once you have received a new license key from Deltek, you can use this dialog box to update your license in the Security Administrator.

If you have selected an installed product from the Products folder, this option is not enabled on the Tools menu. In the said instance, click the Update License button located on the Product Details form to display the Update License dialog box.


Refresh

This button queries the security tables for the latest information, and re-displays the list.


send_messagegroupsopenplansec

Send Message

This item controls whether members of the group can send messages to logged in users. If this item is enabled, members of the group can use the Send Message dialog box to send a message to a logged in user.


sendrolesopenplansec

Send

This item controls the permissions that users and group members assigned the specified role have relative to sharing files through email. If this item is enabled, users and group members assigned this role can use the Send command on the File menu to perform the following functions:

  • Open the Backup dialog box with the current project selected

  • Choose another project to be backed up and emailed

  • Open his or her default email server

  • Create a blank message with the backup file as an attachment


sorts_groupopenplansec

Sorts

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to sorts. If this item is enabled, members of the group can select a sort on the Sorts dialog box. In addition, enabling this item also enables all of its child items by default. However, you can define the permissions for each submenu item individually.


spread_curve_groupopenplansec

Spread Curve

This item controls the permissions that are granted to the group relative to spread curves. If this item is enabled, members of the group can use the Spread Curve dialog box to create, edit, and delete spread curves.

The Spread Curve item is not available in Open Plan Desktop.


supported_user_countsec

Supported User Count

Displays the total user count for the license.


symbols_groupopenplansec

Symbols

If this item is enabled, members of the group can use the Manage Symbols dialog box to add and remove symbols from the database.


synchronize_company_datagroupsopenplansec

Synchronize Company Data

If this item is enabled, members of the group can use the Synchronize Company Data command to update the Open Plan company data with the Baan company data.


synchronize_project_datagroupsopenplansec

Synchronize Project Data

If this item is enabled, members of the group can use the Synchronize Project Data command to update the Open Plan project data with the Baan project data.


time_analysisroleopenplansec

Time Analysis

If this item is enabled, users and group members assigned the specified role can perform time analysis on a project by using the Time Analysis command on both the Open Plan toolbar and the Project menu.


title_blocks_groupsopenplansec

Title Blocks

If this item is enabled, members of the group can use the Title Blocks dialog box to create, copy, edit, and delete title blocks.


tools_groupsopenplansec

Tools

This level of the Open Plan hierarchy controls the permissions that are granted to the group for application-wide items on the Tools menu .

If this item is enabled, all its child items are also enabled by default. However, you can define the permissions for each Tools menu item individually.


tools_roleopenplansec

Tools

This level of the Open Plan hierarchy controls the Email Advisor, Manage Skills, and View Preferences permissions that users and group members assigned the specified role have relative to a data object. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each Tools menu item individually.


update_baselineroleopenplansec

Update Baseline

If this item is enabled, the Update button on the Baselines dialog box is enabled, allowing users and group members assigned the specified role to update a project baseline.


update_schedule_and_budget_datagroupsopenplansec

Update Schedule and Budget Data

If this item is enabled, members of the group can use the Update Schedule and Budget Data command to update the start and finish dates for each element in the ChBS and Milestone code files and to update the percent complete for each activity in the project.


user_defined_fields_groupopenplansec

User Defined Fields

This level of the Open Plan hierarchy controls the permissions that are granted to the group relative to user-defined fields. If this item is enabled, all of its child items are also enabled by default. However, you can define the permissions for each submenu item individually.

Neither the User Defined Fields item nor any of its child items is available in Open Plan Desktop.


user_id2sec

User ID

This field displays the User ID of the currently selected user.


usersgroupprofilepopupsec

Users

This grid displays the following information about the users who are currently assigned to the group.

  • User ID

  • First name

  • Last name

You can add to this users list by clicking Add and selecting an existing user from the Add Users dialog box.

You can delete a user from the grid by selecting the user and clicking Remove.


userssec

Users

This section of the Product Details form lists the User ID and Machine ID for each user currently logged into the product. There are also the following two buttons:

  • Send Message &emdash; Selecting a user from the list and clicking this button displays the Send Message dialog box that you can use to compose and send a message to the user. The user receives the message as a pop-up window indicating who sent the message and when it was sent.

  • Terminate Session &emdash; Selecting a user from the list and clicking this button remotely terminates the user’s session in the product. Any unsaved data is lost when the program is terminated in this fashion. The user receives a warning the system administrator has terminated the session and the program will automatically close in 10 seconds. The user has the option to wait the 10 seconds for the program to close by itself or click OK to hasten the shutdown.

Selecting the All Users option and clicking one of the buttons performs that operation for all of the logged-in users.


Add/Update License Dialog Box

Use the Add/Update License dialog box to add or update a license key. The following display in the Enter New License Key area:

  • License Key

  • Description

  • Test

After you enter a license key, Test is enabled. To validate the license key, select Test. If the license key is valid, Apply, User Count, Type and Expire Date are populated. If the license key has no expiration date, None displays in Expire Date. If the license key is invalid, an appropriate message displays.

When you Initiate This Dialog Box via Manage Licenses

When you initiate the Add/Update License dialog box using Manage Licenses, the following are applicable:

  • The License Key field is populated by the selected license key.

  • The Description field is populated by the license key description.

  • Test is enabled.

  • Apply is enabled.

  • If you change the license key, Apply is disabled until Test is selected and the new license key is validated.

The following are displayed in the Select Test to see License info area:

  • User Count

  • Type

  • Expire Date

At the bottom of the dialog box are the following:

  • Apply

  • Close

  • Help

Location


Manage Licenses Dialog Box

Use the Manage Licenses dialog box to display information about the existing license keys, and to add or update licenses. When you add or update a license, the user receives a new license key. This new license key specifies the number of users who may be logged in to the program at one time.

To let the Security Administrator know that the number of valid users has been modified, click Manage Licenses on the Product Details form to display the Manage Licenses dialog box.

The Manage Licenses dialog box contains the following controls:

  • License Type

  • Supported User Count

  • Available User Count

For Cobra, the Licenses table contains the following columns:

  • License Type

  • Supported User Count

  • Available User Count

  • Expire Date

  • Description

On the right side of the dialog box are the following buttons:

  • Add

  • Update

  • Delete

  • Close

  • Help

Location


Password Rules Dialog Box

The Password Rules dialog box allows you to set a minimum length for a new login password. It contains the Minimum Password Length field, where you can enter a numeric value not less than zero.

Setting the password length to zero allows a blank password. Setting the password length to a value greater than 128 displays an error message.

This dialog box also contains the following buttons:

  • OK

  • Cancel

  • Help

Location


view_license_exceptionsmenubarpopupsec

View License Exceptions

This command displays the View License Exceptions dialog box. You can use this dialog box to review and maintain the list of Open Plan license exceptions.

This command is not enabled on the Tools menu if you have selected an installed product from the Products folder. In this instance, click the View License Exceptions button located on the Product Details form to display the View License Exceptions dialog box.


view_preferences_groupopenplansec

View Preferences

This item controls whether members of the group can control barchart, spreadsheet, histogram, and view preferences. If this item is enabled, the members of the group can control the display styles of the following project views:

  • The barchart view on the Barchart Preferences dialog box.

  • The spreadsheet view on the Spreadsheet Preferences dialog box.

  • The histogram view on the Histogram Preferences dialog box.

  • All hierarchy view preferences; such as the network, code, and resource views on the appropriate Preferences dialog box.


view_preferences_roleopenplansec

View Preferences

If this item is enabled, users and group members assigned the specified role can use the View Preferences command for the view that they have open.